lomiri-system-settings (1.3.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Tue, 07 Jan 2025 17:09:46 +0100

lomiri-system-settings (1.2.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 12 Jul 2024 16:26:20 +0200

lomiri-system-settings (1.1.0) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 11 Mar 2024 12:25:10 +0100

lomiri-system-settings (1.0.2) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Sun, 15 Oct 2023 01:23:23 +0200

lomiri-system-settings (1.0.1) unstable; urgency=medium

  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Fri, 24 Feb 2023 07:55:10 +0100

lomiri-system-settings (1.0) unstable; urgency=medium

  [ Guido Berhoerster ]
  * Update VCS and homepage URLs
  * Update to dh version 12
  * Switch to source format 3.0
  * Switch from url-dispatcher to lomiri-url-dispatcher

  [ UBports developers ]
  * Upstream-provided Debian package for lomiri-system-settings. See
    upstream ChangeLog for recent changes.

 -- UBports developers <developers@ubports.com>  Mon, 06 Feb 2023 13:42:38 +0100

ubuntu-system-settings (0.4.4~0ubports0) xenial; urgency=medium

  * Changes for Mir 1.1 and Unity8-next

 -- Dalton Durst <dalton@ubports.com>  Tue, 11 Jun 2019 11:14:14 -0500

ubuntu-system-settings (0.4.3~0ubports1) xenial; urgency=medium

  * Fix image updates not showing correct date (ubuntu-touch #1139)

 -- Florian Leeber <florian@ubports.com>  Tue, 28 May 2019 23:49:12 +0200

ubuntu-system-settings (0.4.3~0ubports0) xenial; urgency=medium

  * Add settings for on-screen keyboard themes

 -- Kugi Eusebio <kugiigi@users.noreply.github.com>  Tue, 18 Dec 2018 11:58:28 -0600

ubuntu-system-settings (0.4.2~0ubports3) xenial; urgency=medium

  * Replace dependency on ubuntu-wallpapers with ubports-wallpapers

 -- Dalton Durst <dalton@ubports.com>  Fri, 5 Oct 2018 13:30:00 -0500

ubuntu-system-settings (0.4.2~0ubports2) xenial; urgency=medium

  * Fix click updater not using open-store.io API

 -- Dalton Durst <dalton@ubports.com>  Fri, 28 Sep 2018 13:04:00 -0500

ubuntu-system-settings (0.4.2~0ubports1) xenial; urgency=medium

  * debian/changelog: New versioning scheme
  * Fix incomplete battery graph (LP: #1502820)

 -- Alberto Mardegan <mardy@users.sourceforge.net>  Thu, 20 Sep 2018 20:37:50 +0300

ubuntu-system-settings (0.4.1+ubports1) xenial; urgency=medium

  [ Jonas G. Drange ]
  * fixes qml test mesa error caused by some form of change

  [ Ken VanDine ]
  * Add reset launcher to the launcher panel (LP: #1677232)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 06 Apr 2017 13:38:34 +0000

ubuntu-system-settings (0.4+17.04.20170329-0ubuntu1) zesty; urgency=medium

  [ Ken VanDine ]
  * [bluetooth]  Fix property and anchor errors (LP: #1669780)

  [ Michael Sheldon ]
  * Trigger checkbox when clicking listitems in the language panel
  * Stop wallpaper preview overlapping buttons and fix flake8 test.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 29 Mar 2017 14:45:38 +0000

ubuntu-system-settings (0.4+17.04.20170324-0ubuntu1) zesty; urgency=medium

  [ Andrew Hayzen, Jonas G. Drange ]
  * Jonas Drange: adds printing panel

  [ Ken VanDine ]
  * Don't change view size after loading MainView. (LP: #1673550)
  * [time-date] Fixed some issues from the APL migration (LP: #1668640)

 -- Andrew Hayzen <ahayzen@gmail.com>  Fri, 24 Mar 2017 10:36:14 +0000

ubuntu-system-settings (0.4+17.04.20170317.2-0ubuntu1) zesty; urgency=medium

  * Drop the fake build depends on upstart
  * Drop everything that needs system-image or click
  * Don't build dep on qml-module-ubuntu-connectivity, we've mocked it

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 17 Mar 2017 14:42:26 +0000

ubuntu-system-settings (0.4+17.04.20170301-0ubuntu1) zesty; urgency=medium

  [ Michael Sheldon ]
  * Add option to enable the on-screen keyboard when an external
    keyboard is present (LP: #1521518)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Wed, 01 Mar 2017 13:42:41 +0000

ubuntu-system-settings (0.4+17.04.20170211-0ubuntu1) zesty; urgency=medium

  * Handle ubuntu-app-launch API change

 -- Ken VanDine <ken.vandine@canonical.com>  Sat, 11 Feb 2017 00:16:14 +0000

ubuntu-system-settings (0.4+17.04.20170118.1-0ubuntu1) zesty; urgency=medium

  [ Lukáš Tinkl ]
  * Fix WIFI APs signal strength icons

  [ Masoud Abkenar ]
  * typo fix in wifi settings

 -- Jonas G. Drange <jonas.drange@canonical.com>  Wed, 18 Jan 2017 16:19:11 +0000

ubuntu-system-settings (0.4+17.04.20170112-0ubuntu1) zesty; urgency=medium

  [ Jonas G. Drange ]
  * unhides hw keyboard page now that input sources are listed
  * migrates uss to apl
  * unhides the "phone locking" screen, but only show working items for
    a snap system

  [ Rodney Dawes ]
  * Remove the in-app purchases pieces from the security-privacy plug-
    in.

 -- Jonas G. Drange <jonas.drange@canonical.com>  Thu, 12 Jan 2017 12:50:05 +0000

ubuntu-system-settings (0.4+17.04.20161214.1-0ubuntu1) zesty; urgency=medium

  * Add keyboard opacity setting to language panel (LP: #1647603)

 -- Michael Sheldon <michael.sheldon@canonical.com>  Wed, 14 Dec 2016 15:11:16 +0000

ubuntu-system-settings (0.4+17.04.20161207-0ubuntu1) zesty; urgency=medium

  [ Jonas G. Drange, Ken VanDine ]
  * Replaces the grid with a list

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 07 Dec 2016 15:17:20 +0000

ubuntu-system-settings (0.4+17.04.20161129-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * Fix unlabelled sliders in Mouse & Touchpad (LP: #1569227) (LP:
    #1569227)

  [ Jonas G. Drange ]
  * Packaging change: depend on USC for testing
  * uses SystemImage binding to read current build number (LP: #1639949)
  * On snappy it changes the following:

  [ Lukáš Tinkl ]
  * Fix finding the module mapping file (url-map.ini) (LP: #1641665)
  * Language pack based language setup

 -- Jonas G. Drange <jonas.drange@canonical.com>  Tue, 29 Nov 2016 11:13:35 +0000

ubuntu-system-settings (0.4+17.04.20161116.1-0ubuntu1) zesty; urgency=medium

  [ Lukáš Tinkl ]
  * Accomodate to new menu components

 -- Marco Trevisan (Treviño) <mail@3v1n0.net>  Wed, 16 Nov 2016 11:41:22 +0000

ubuntu-system-settings (0.4+17.04.20161109.1-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * Allow scroll speed multipliers up to 3.0; since the default speed in
    (LP: #1607240, #1627567)

  [ Ken VanDine ]
  * Updated example plugin to work with current SDK
  * Fixed pep8 failure

  [ Timo Jyrinki ]
  * Stop depending on transitional packages. (LP: #1583079) (LP:
    #1583079)

  [ jonas-drange ]
  * Drop “at” from “Updated at <date>” string

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 09 Nov 2016 15:27:26 +0000

ubuntu-system-settings (0.4+17.04.20161101.1-0ubuntu1) zesty; urgency=medium

  * Drop repowerd to a Recommends and stop depending on gnome-settings-
    daemon to fix a component mismatch

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 01 Nov 2016 17:51:36 +0000

ubuntu-system-settings (0.4+17.04.20161027-0ubuntu1) zesty; urgency=medium

  [ Jonas G. Drange ]
  * clarifies how we add the system image test via cmake

  [ Jonas G. Drange, jonas-drange ]
  * adds pruning of db

 -- Jonas G. Drange <jonas.drange@canonical.com>  Thu, 27 Oct 2016 10:30:34 +0000

ubuntu-system-settings (0.4+16.10.20160930.1-0ubuntu1) yakkety; urgency=medium

  [ Jonas G. Drange ]
  * uses XDG_DATA_DIRS where applicable to enable USS to find files and
    folders on snappy-based systems (LP: #1629009)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Sep 2016 13:48:28 +0000

ubuntu-system-settings (0.4+16.10.20160927-0ubuntu1) yakkety; urgency=medium

  * Make urfkill a suggests and only show the flight-mode plugin if
    urfkill is installed.
  * Only show Developer Mode setting if we can set it. Dropped dbus-
    property-service to suggests.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 27 Sep 2016 13:33:14 +0000

ubuntu-system-settings (0.4+16.10.20160916-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry ]
  * Use standard default wallpaper instead of unity8's custom one. (LP:
    #1288364)
  * Fix highlight color of currently selected background.

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 16 Sep 2016 15:14:16 +0000

ubuntu-system-settings (0.4+16.10.20160913-0ubuntu1) yakkety; urgency=medium

  * Only display the software section and the check for updates button
    if we know the current build (LP: #1612263)
  * cellular, phone, hotspot: Don't default to visible
  * Updated depends to match renaming of qml-module-ofono (LP: #1342031)
  * Handle rename of qtquick-layouts build depends
  * Dropped aethercast to a suggests

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 13 Sep 2016 14:29:15 +0000

ubuntu-system-settings (0.4+16.10.20160906-0ubuntu1) yakkety; urgency=medium

  [ You-Sheng Yang ]
  * Build about plugin on arm64. (LP: #1618157)

 -- Jonas G. Drange <jonas.drange@canonical.com>  Tue, 06 Sep 2016 10:49:49 +0000

ubuntu-system-settings (0.4+16.10.20160831.1-0ubuntu1) yakkety; urgency=medium

  [ jonas-drange ]
  * fixes two crashes in About -> Check for update and Battery ->
    Brightness (LP: #1617217)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 31 Aug 2016 15:19:48 +0000

ubuntu-system-settings (0.4+16.10.20160826-0ubuntu1) yakkety; urgency=medium

  [ jonas-drange ]
  * versionTag refers to the currently installed OTA, not a pending
    image update, so remove it (LP: #1616093)
  * fix cases where check label is really long (via translations) (LP:
    #1616099)
  * do not overwrite updatedAt (LP: #1616800)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 26 Aug 2016 14:41:25 +0000

ubuntu-system-settings (0.4+16.10.20160824.1-0ubuntu1) yakkety; urgency=medium

  [ Florian Boucault ]
  * Crossbuilding packaging fixes.

  [ Pat McGowan ]
  * allows uss to be built by crossbuilder (LP: #1433590, #1614637)

  [ jonas-drange ]
  * use python3 in mock click command
  * force python3 to run by refering to it in the shebang of
    test_code.py

 -- Jonas G. Drange <jonas.drange@canonical.com>  Wed, 24 Aug 2016 13:52:14 +0000

ubuntu-system-settings (0.4+16.10.20160819-0ubuntu1) yakkety; urgency=medium

  [ Ken VanDine ]
  * Fixes for failing autopilot tests

  [ jonas-drange ]
  * Port most autopilot tests in test_wifi to qml tests and ctests.
  * patch environment with required maliit variable whenever we use
    osk.dismiss()

 -- Jonas G. Drange <jonas.drange@canonical.com>  Fri, 19 Aug 2016 12:50:21 +0000

ubuntu-system-settings (0.4+16.10.20160817.2-0ubuntu1) yakkety; urgency=medium

  [ jonas-drange ]
  * rewrite the system update panel

 -- Jonas G. Drange <jonas.drange@canonical.com>  Wed, 17 Aug 2016 11:18:39 +0000

ubuntu-system-settings (0.4+16.10.20160817-0ubuntu1) yakkety; urgency=medium

  * Switch the powerd depends to repowerd. powerd is now a transitional
    _all package so gets unconditionally evaluated which is not the
    purpose. (LP: #1612646)

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Wed, 17 Aug 2016 09:23:42 +0000

ubuntu-system-settings (0.4+16.10.20160811.2-0ubuntu1) yakkety; urgency=medium

  * Skip tests on powerpc due to Qt 5.6 bug (LP: #1606927)
  * Make device always valid.

 -- Konrad Zapałowicz <konrad.zapalowicz@canonical.com>  Thu, 11 Aug 2016 12:37:40 +0000

ubuntu-system-settings (0.4+16.10.20160810-0ubuntu1) yakkety; urgency=medium

  * Skip tests on powerpc due to Qt 5.6 bug (LP: #1606927)
  * Depend on upstart to prevent s390x problems until upstart has been
    fixed.
  * bluetooth: Add Apperance characteristic to type conversion

 -- Konrad Zapałowicz <konrad.zapalowicz@canonical.com>  Wed, 10 Aug 2016 13:17:54 +0000

ubuntu-system-settings (0.4+16.10.20160808-0ubuntu2) yakkety; urgency=medium

  * Readd the upstart workaround by doing a rebuild from trunk.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 10 Aug 2016 15:09:25 +0300

ubuntu-system-settings (0.4+16.10.20160808-0ubuntu1) yakkety; urgency=medium

  [ Simon Fels ]
  * Fixes for Aethercast support

 -- morphis <simon.fels@canonical.com>  Mon, 08 Aug 2016 08:59:08 +0000

ubuntu-system-settings (0.4+16.10.20160730-0ubuntu2) yakkety; urgency=medium

  * No change rebuild
  * Depend on upstart to prevent s390x problems until upstart has been fixed.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Tue, 09 Aug 2016 15:38:18 +0300

ubuntu-system-settings (0.4+16.10.20160730-0ubuntu1) yakkety; urgency=medium

  [ Lukáš Tinkl ]
  * Fixes for indicator-keyboard (gsettings compat, HW kbd panel
    shortcut)

  [ Michał Sawicz ]
  * Skip tests on powerpc due to Qt 5.6 bug (LP: #1606927)

 -- Lukáš Tinkl <lukas.tinkl@canonical.com>  Sat, 30 Jul 2016 21:20:18 +0000

ubuntu-system-settings (0.4+16.10.20160722.1-0ubuntu1) yakkety; urgency=medium

  [ Ken VanDine ]
  * Added missing depends on qtdeclarative5-ubuntu-history0.1, qml-
    module-qtcontacts and qtdeclarative5-ubuntu-keyboard-extensions0.1
  * Ported to use Slots layout and updated visuals (LP: #1596529)

  [ Ken VanDine, jonas-drange ]
  * new module SystemSettings.ListItems

  [ Olivier Tilloy ]
  * Fix unit tests when run under an sbuild chroot. (LP: #1592475)

  [ jonas-drange ]
  * Do runtime check of address list size.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 22 Jul 2016 14:39:12 +0000

ubuntu-system-settings (0.4+16.10.20160708-0ubuntu1) yakkety; urgency=medium

  [ Arthur Mello ]
  * Implement extended Notifications panel using Gsettings to store
    notifications settings for each app
  * Skip tests on arm64 as it is known to be flaky with current
    configuration

 -- Arthur Renato Mello <arthur.mello@canonical.com>  Fri, 08 Jul 2016 22:19:17 +0000

ubuntu-system-settings (0.4+16.10.20160624-0ubuntu1) yakkety; urgency=medium

  [ Antti Kaijanmäki ]
  * use Connectivity API for cellular data and roaming control. (LP:
    #1373463)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 24 Jun 2016 13:42:47 +0000

ubuntu-system-settings (0.4+16.10.20160619-0ubuntu1) yakkety; urgency=medium

  [ jonas-drange ]
  * expose fingerprint ID panel and the Fingerprint lock setting (LP:
    #1547040)

 -- Ken VanDine <ken.vandine@canonical.com>  Sun, 19 Jun 2016 02:48:24 +0000

ubuntu-system-settings (0.4+16.10.20160609-0ubuntu1) yakkety; urgency=medium

  * Fix pin code request is rejected because device is not valid (LP:
    #1539158)

 -- Konrad Zapałowicz <konrad.zapalowicz@canonical.com>  Thu, 09 Jun 2016 11:16:36 +0000

ubuntu-system-settings (0.4+16.10.20160606-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry ]
  * Update some button colors to the new theme style (LP: #1581047)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 06 Jun 2016 22:02:47 +0000

ubuntu-system-settings (0.4+16.10.20160525-0ubuntu1) yakkety; urgency=medium

  [ Michael Terry ]
  * Bump version number for change in TimeDate plugin API

  [ CI Train Bot ]
  * No-change rebuild.

 -- Michael Terry <michael.terry@canonical.com>  Wed, 25 May 2016 06:02:08 +0000

ubuntu-system-settings (0.3+16.10.20160523-0ubuntu1) yakkety; urgency=medium

  * Catch connection errors asynchronously

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 23 May 2016 12:27:38 +0000

ubuntu-system-settings (0.3+16.04.20160517-0ubuntu1) xenial; urgency=medium

  * Fixes to sleep/idle settings in the Battery and Security panels (LP:
    #1581423)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 17 May 2016 14:04:58 +0000

ubuntu-system-settings (0.3+16.04.20160511-0ubuntu1) xenial; urgency=medium

  * Play the haptic feedback before pushing the page so it happens when
    the use taps not after the page has loaded. (LP: #1578816)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 11 May 2016 13:44:39 +0000

ubuntu-system-settings (0.3+16.04.20160510-0ubuntu1) xenial; urgency=medium

  * Don't use Ip4Address from NetworkManager, it was deprecated since
    0.9 and since removed. Use QNetworkInterface to get the IP address.
    (LP: #1579825)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 10 May 2016 18:19:38 +0000

ubuntu-system-settings (0.3+16.04.20160506-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Set Preferred on some context as soon as we know it's type and it is
    active. Do not copy the Manager instance from panel to panel. (LP:
    #1537913)
  * add servicewatcher to system image binding (LP: #1509022)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Fri, 06 May 2016 13:50:49 +0000

ubuntu-system-settings (0.3+16.04.20160503-0ubuntu1) xenial; urgency=medium

  * Only hide ringer sound settings when there is no modem,
    IncomingMessageSound is used by ubuntu-push for other generic
    notifications (LP: #1577783)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 May 2016 13:52:13 +0000

ubuntu-system-settings (0.3+16.04.20160429.2-0ubuntu1) xenial; urgency=medium

  [ Antti Kaijanmäki ]
  * Add string for cellular data switch. (LP: #1373463)

  [ Ken VanDine ]
  * Fixes to sleep/idle settings from Pat McGowan (LP: #1494514,
    #1367294, #1569758)
  * Only depend on aethercast on amd64, armhf, i386 which are the only
    supported arches

  [ Matthew Paul Thomas ]
  * Removes the GPS switch and caption from Battery settings, fixing bug
    1520580. (LP: #1520580)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 29 Apr 2016 19:26:08 +0000

ubuntu-system-settings (0.3+16.04.20160428-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Added Display Casting to the brightness panel added:
    plugins/brightness/WifiDisplays.qml
    plugins/brightness/WifiDisplaysAlert.qml
    plugins/brightness/aethercast/
    plugins/brightness/aethercast/aethercast_device.cpp
    plugins/brightness/aethercast/aethercast_device.h
    plugins/brightness/aethercast/aethercast_helper.h
    plugins/brightness/aethercast/aethercast_manager.cpp
    plugins/brightness/aethercast/aethercast_manager.h
    plugins/brightness/aethercast/dbus-shared.h
    plugins/brightness/aethercast/device.cpp
    plugins/brightness/aethercast/device.h
    plugins/brightness/aethercast/devicemodel.cpp
    plugins/brightness/aethercast/devicemodel.h
    plugins/brightness/aethercast/displays.cpp
    plugins/brightness/aethercast/displays.h
    plugins/brightness/aethercast/freedesktop_objectmanager.cpp
    plugins/brightness/aethercast/freedesktop_objectmanager.h
    plugins/brightness/aethercast/freedesktop_properties.cpp
    plugins/brightness/aethercast/freedesktop_properties.h
    plugins/brightness/aethercast/org.aethercast.xml
  * Make the brightness plugin name dynamic based on the android
    property ubuntu.widi.supported

  [ Michał Sawicz ]
  * Dynamic grid unit size support

 -- Simon Fels <simon.busch@canonical.com>  Thu, 28 Apr 2016 15:31:45 +0000

ubuntu-system-settings (0.3+16.04.20160412-0ubuntu1) xenial; urgency=medium

  * Dropped workaround for lack of default value for MousePrimaryButton
    and TouchpadPrimaryButton.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 12 Apr 2016 17:08:04 +0000

ubuntu-system-settings (0.3+16.04.20160407-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Ported DefaultSimForCalls, DefaultSimForMessages and SimNames to use
    AccountsService (LP: #1418040)

 -- Alfonso Sanchez-Beato <alfonso.sanchez-beato@canonical.com>  Thu, 07 Apr 2016 13:20:44 +0000

ubuntu-system-settings (0.3+16.04.20160330-0ubuntu1) xenial; urgency=medium

  [ Jin Hsieh ]
  * Bug fixed - Settings/Storage shows we have only 2.3GB total storage

  [ Ken VanDine ]
  * Use a loader for the Storage page and show an ActivityIndicator
    until the page is ready Improved performance of building the list of
    mountedVolumes (LP: #1422206)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 30 Mar 2016 17:43:55 +0000

ubuntu-system-settings (0.3+16.04.20160325-0ubuntu1) xenial; urgency=medium

  * Bump Ubuntu.Content import to 1.3 to prevent mixed version imports
    (LP: #1554621)
  * Only include the "any data connection" item when there is a modem
    present. (LP: #1560884)
  * Play haptic feedback when selecting About and Reset from the main
    view. (LP: #1560571)
  * Removed unnecessary mouse-plugin, it was intended for use with
    dynamic visibility, which is no longer needed.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 25 Mar 2016 20:53:47 +0000

ubuntu-system-settings (0.3+16.04.20160323.2-0ubuntu1) xenial; urgency=medium

  [ Jim Hodapp ]
  * Make sure the sound preview plugin can find the QML Audio.audioRole
    property.

 -- Timo Jyrinki <timo.jyrinki@canonical.com>  Wed, 23 Mar 2016 22:30:28 +0000

ubuntu-system-settings (0.3+16.04.20160323-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Add External Keyboard panel which allows for configuration of the
    default keymap. (LP: #1524400, #1491340)

 -- Michael Zanetti <michael.zanetti@canonical.com>  Wed, 23 Mar 2016 08:46:55 +0000

ubuntu-system-settings (0.3+16.04.20160318-0ubuntu1) xenial; urgency=medium

  * Process pairing attempts for unknown devices correctly (LP:
    #1539158)

 -- Simon Fels <simon.busch@canonical.com>  Fri, 18 Mar 2016 17:56:23 +0000

ubuntu-system-settings (0.3+16.04.20160316.1-0ubuntu1) xenial; urgency=medium

  [ Michael Terry ]
  * Use geonames library instead of timezonemap library to search city
    names, which gives us slightly better sorting (and future
    improvements)

  [ Rodney Dawes ]
  * Fix the CMakeLists.txt to handle settings.js generation and
    translations better. (LP: #1555623)

  [ jonas-drange ]
  * Replace usage of backgroundText from the selected palette for labels
    with baseText from normal palette.

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 16 Mar 2016 17:03:54 +0000

ubuntu-system-settings (0.3+16.04.20160314.4-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * New VPN panel with happy path test (LP: #1495553)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Mon, 14 Mar 2016 21:26:48 +0000

ubuntu-system-settings (0.3+16.04.20160314-0ubuntu1) xenial; urgency=medium

  * Rework Bluetooth device discovery handling

 -- Simon Fels <simon.busch@canonical.com>  Mon, 14 Mar 2016 14:09:57 +0000

ubuntu-system-settings (0.3+16.04.20160312-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Added status tracking for updates to be used for system updates.
    Added handling of started signal from system-image-dbus as well as
    ForceAllowGSMDownload (LP: #1508081)

 -- Barry Warsaw <ci-train-bot@canonical.com>  Sat, 12 Mar 2016 03:41:08 +0000

ubuntu-system-settings (0.3+16.04.20160311-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Enable mouse test and use LD_PRELOAD to fix crash running with Xvfb
  * Hide MouseDoubleClickSpeed and TouchpadDoubleClickSpeed settings
    because they are not supported by USC yet.
  * Use accountsservice for properties instead of gsettings

 -- Michał Sawicz <michal.sawicz@canonical.com>  Fri, 11 Mar 2016 03:13:05 +0000

ubuntu-system-settings (0.3+16.04.20160304-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ jonas-drange ]
  * Drop our own InputInfo implementation and use QSystemInfo 5.5. (LP:
    #1549314)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Fri, 04 Mar 2016 13:58:59 +0000

ubuntu-system-settings (0.3+16.04.20160226.1-0ubuntu1) xenial; urgency=medium

  * Add InAppPurchases to privacy plug-in. Update translation template.
    Fix translation template to not include full path to settings.js
    file. (LP: #1524943)

 -- Rodney Dawes <ci-train-bot@canonical.com>  Fri, 26 Feb 2016 19:07:26 +0000

ubuntu-system-settings (0.3+16.04.20160226-0ubuntu1) xenial; urgency=medium

  * Subtract amount used by apps when computing otherSize (LP: #1524424)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 26 Feb 2016 12:32:49 +0000

ubuntu-system-settings (0.3+16.04.20160225-0ubuntu1) xenial; urgency=medium

  * Don't use the cellular portion of the location accuracy string when
    there is no modem available (LP: #1545021)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 25 Feb 2016 14:04:44 +0000

ubuntu-system-settings (0.3+16.04.20160218-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Define a map used for mapping short, panel-agnostic URLs and expose
    translation functionality to both QML and c++. (LP: #1489833,
    #1533835)

 -- Charles Kerr <charles.kerr@canonical.com>  Thu, 18 Feb 2016 17:06:34 +0000

ubuntu-system-settings (0.3+16.04.20160208-0ubuntu1) xenial; urgency=medium

  * Make cellular and phone dynamically visible (LP: #1541588)
  * Set a fixed width to 50 GU when in windowed mode (LP: #1542050)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 08 Feb 2016 14:32:42 +0000

ubuntu-system-settings (0.3+16.04.20160129-0ubuntu1) xenial; urgency=medium

  * ￼Return "Phone" for type Smartphone (LP: #1534221)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 29 Jan 2016 15:43:18 +0000

ubuntu-system-settings (0.3+16.04.20160128-0ubuntu1) xenial; urgency=medium

  * Allow pairing regardless of type (LP: #1535660, #1534221)
  * Exposed adapterAddress in the bluetooth plugin to be used to get the
    address in the about plugin (LP: #1537029)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 28 Jan 2016 14:23:03 +0000

ubuntu-system-settings (0.3+16.04.20160121-0ubuntu1) xenial; urgency=medium

  * Don't display the ActivityIndicator while searching, causes to much
    load. (LP: #1535827)
  * Don't display the setting to automatically connect when detected
    during pairing (LP: #1535822)
  * Only enable the forget device button when bluetooth is enabled (LP:
    #1535829)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 21 Jan 2016 14:47:13 +0000

ubuntu-system-settings (0.3+16.04.20160108.1-0ubuntu1) xenial; urgency=medium

  * Adds Mouse & Touchpad panel, however it's disabled because it
    requires unity8 support. added: plugins/mouse/
    plugins/mouse/CMakeLists.txt plugins/mouse/Components/
    plugins/mouse/Components/CMakeLists.txt
    plugins/mouse/Components/UnityInputInfo/
    plugins/mouse/Components/UnityInputInfo/CMakeLists.txt
    plugins/mouse/Components/UnityInputInfo/UnityInputInfo.qml
    plugins/mouse/Components/UnityInputInfo/qmldir
    plugins/mouse/Connected.qml plugins/mouse/InputInfo/
    plugins/mouse/InputInfo/CMakeLists.txt
    plugins/mouse/InputInfo/linux/
    plugins/mouse/InputInfo/linux/qinputdeviceinfo_linux.cpp
    plugins/mouse/InputInfo/linux/qinputdeviceinfo_linux_p.h
    plugins/mouse/InputInfo/plugin.cpp plugins/mouse/InputInfo/plugin.h
    plugins/mouse/InputInfo/qdeclarativeinputdeviceinfo.cpp
    plugins/mouse/InputInfo/qdeclarativeinputdeviceinfo_p.h
    plugins/mouse/InputInfo/qinputinfo.cpp
    plugins/mouse/InputInfo/qinputinfo.h plugins/mouse/InputInfo/qmldir
    plugins/mouse/ItemTitle.qml plugins/mouse/None.qml
    plugins/mouse/PageComponent.qml
    plugins/mouse/PrimaryButtonSelector.qml
    plugins/mouse/SectionHeader.qml plugins/mouse/TapArea.qml
    plugins/mouse/mouse.settings plugins/mouse/plugin/
    plugins/mouse/plugin/CMakeLists.txt plugins/mouse/plugin/mouse-
    plugin.cpp plugins/mouse/plugin/mouse-plugin.h
    plugins/mouse/settings-mouse.svg tests/plugins/mouse/
    tests/plugins/mouse/CMakeLists.txt tests/plugins/mouse/Source/
    tests/plugins/mouse/Source/qmldir tests/plugins/mouse/tst_mouse.cpp
    tests/plugins/mouse/tst_mouse.qml

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 08 Jan 2016 19:06:03 +0000

ubuntu-system-settings (0.3+16.04.20151222-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Expand indicator network mock to include access points, sections and
    switches via org.gtk.Menus.
  * fix utils leak in main

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Dec 2015 19:46:25 +0000

ubuntu-system-settings (0.3+16.04.20151216.1-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Improved metadata sent to download manager so they show up better in
    the transfer indicator.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 16 Dec 2015 16:19:08 +0000

ubuntu-system-settings (0.3+16.04.20151204.1-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Don't delete previous custom ringtones unless a new custom ringtone
    is selected. Set header titled in the picker. (LP: #1519332)

  [ jonas-drange ]
  * drop /usr/bin/ from USS binary in autopilot tests (LP: #1517488)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 04 Dec 2015 16:18:04 +0000

ubuntu-system-settings (0.3+16.04.20151203-0ubuntu1) xenial; urgency=medium

  [ Ken VanDine ]
  * Don't animate the ActivityIndicator when it's not visible (LP:
    #1460945)

  [ jonas-drange ]
  * change single quotes in i18n.tr to double quotes as the parser does
    not like single quotes (LP: #1518732)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 03 Dec 2015 19:00:42 +0000

ubuntu-system-settings (0.3+16.04.20151201-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Refactored mock click update server since it was not already in use,
    and made use of it in the system udpates autopilot tests. Removed
    assertion that assumed that the 'SEARCHING' state would last longer
    than n seconds.

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 01 Dec 2015 17:55:33 +0000

ubuntu-system-settings (0.3+16.04.20151127.2-0ubuntu1) xenial; urgency=medium

  * Capture values by reference in the lambda (LP: #1517254, #1519046)
  * Ensure we don't add duplicate updates to the model (LP: #1519971)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 27 Nov 2015 20:05:44 +0000

ubuntu-system-settings (0.3+16.04.20151124-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Allow setting custom ringtone with content-hub (LP: #1268097)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 24 Nov 2015 11:09:44 +0000

ubuntu-system-settings (0.3+16.04.20151120-0ubuntu1) xenial; urgency=medium

  * Ported the Bluetooth plugin to the changed BlueZ API which comes
    with version 5.x. The overall device management gets a lot more
    reliable with this. Superfluous code was dropped when possible. Also
    the unit tests got a rework and all pass now. (LP: #1499789)

 -- Simon Fels <simon.busch@canonical.com>  Fri, 20 Nov 2015 08:48:52 +0000

ubuntu-system-settings (0.3+16.04.20151110-0ubuntu1) xenial; urgency=medium

  [ Alejandro J. Cura ]
  * If a system package gets updated by the user, only show the user's
    copy (LP: #1265250)

  [ Bartosz Kosiorek ]
  * Allow translating "Unavailable" string (LP: #1511384) (LP: #1511384)

  [ Ken VanDine ]
  * Don't check for updates if not online (LP: #1505663)

  [ Michael Zanetti ]
  * Only animate ActivityIndicators when they are visible (LP: #1513450)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 10 Nov 2015 15:27:33 +0000

ubuntu-system-settings (0.3+16.04.20151109-0ubuntu1) xenial; urgency=medium

  [ jonas-drange ]
  * Cache call forwarding summary for each IMSI/ICCID. Block UI until
    the CallForwarding binding is ready. Do not assume a failed
    callforwarding change means it's disabled (could be forced by
    carrier). (LP: #1478049)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Mon, 09 Nov 2015 12:50:11 +0000

ubuntu-system-settings (0.3+16.04.20151103.1-0ubuntu1) xenial; urgency=medium

  [ Bartosz Kosiorek ]
  * Remove "Retry" button, when no internet connection is available. It
    will automatically retry after establishing connection (LP:
    #1479447) (LP: #1479447)

  [ Ken VanDine ]
  * Don't elide connect to internet label (LP: #1512768)
  * Ensure we only check for updates when NetworkingStatus.online is
    true (LP: #1505663)
  * [system-settings] Abort request when the onlineStatus changes to
    false (LP: #1505663)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 03 Nov 2015 16:26:31 +0000

ubuntu-system-settings (0.3+16.04.20151029-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * Deprecated the use of Info endpoint in system_update.cpp and
    hotspot. Exposed detailed version details on UpdateManager. Used
    this to get to a 'tag' key which includes the ota string. Because of
    more advanced system-image testing, about tests now use the
    systemimage dbusmock template. debian/control, s-i-dbus changed to
    3.0.2 because that's where the ota string is. (LP: #1475568)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 29 Oct 2015 15:48:09 +0000

ubuntu-system-settings (0.3+16.04.20151023.1-0ubuntu1) xenial; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Bump Ubuntu.Components imports to 1.3 and fixed UbuntuShape
    deprecations (LP: #1508363)

  [ jonas-drange ]
  * re-add silentMode property to repair the silent mode switch

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Fri, 23 Oct 2015 14:57:29 +0000

ubuntu-system-settings (0.3+15.10.20151002-0ubuntu1) wily; urgency=medium

  [ Sebastien Bacher ]
  * [hospot] include cmakefile hack to get files listed in qtcreator
  * [security-privacy] use the system location as well to look for trust
    store items, that's needed at least for unity8-dash which is not
    distributed as a click and doesn't a .local entry (LP: #1501428)
  * [sound] don't display silent mode warnings, sounds should just be
    played when user selected (LP: #1391502)

  [ jonas-drange ]
  * [phone] encode numbers before passing them to url-dispatcher (LP:
    #1496845)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 02 Oct 2015 17:52:49 +0000

ubuntu-system-settings (0.3+15.10.20150930-0ubuntu1) wily; urgency=medium

  * Used the correct property to determine if whoopsie will
    automatically report crashes (LP: #1494442)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 30 Sep 2015 15:23:14 +0000

ubuntu-system-settings (0.3+15.10.20150924-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * [autopilot] use wait_select_single instead of select_single for all
    click_item
  * [security-privacy] fix test broken by recent ui changes

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Thu, 24 Sep 2015 09:54:48 +0000

ubuntu-system-settings (0.3+15.10.20150918-0ubuntu1) wily; urgency=medium

  [ jonas-drange ]
  * [hotspot] hide/show based on modem availability from Connectivity
    (which also requires a bumped dep). (LP: #1487157)
  * [time-date] Migrate threaded code to worker-object pattern, move
    sorting to a worker thread from the GUI thread, and only instantiate
    UbuntuTimeDatePanel plugin once. (LP: #1492260)
  * [wifi/wpa2ep] allow passwords of length 1 for wpa enterprise
    authentication schemes. (LP: #1490417)

 -- Jonas G. Drange <ci-train-bot@canonical.com>  Fri, 18 Sep 2015 14:20:27 +0000

ubuntu-system-settings (0.3+15.10.20150915-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * ported to libqofono 0.82 (modemTechnologies now
    availableTechnologies)

 -- Tony Espy <ci-train-bot@canonical.com>  Tue, 15 Sep 2015 00:23:13 +0000

ubuntu-system-settings (0.3+15.10.20150910.1-0ubuntu1) wily; urgency=medium

  [ jonas-drange ]
  * [hotspot] allow insecure hotspot, hide hotspot for mako, make
    autopilot tests run on mako, and change packaging so we get a newer
    Connectivity API (provided by indicator-network). (LP: #1431876)
  * [system-update] deviceName now uses correct argument returned from
    system image backend. (LP: #1487432)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 10 Sep 2015 19:01:48 +0000

ubuntu-system-settings (0.3+15.10.20150909-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Don't initialize and int as NULL
  * Fixed test to match string change
  * Pass some args when pushing the online-accounts panel page

  [ Sebastien Bacher ]
  * [security-privacy] small bugfixes and ui tweaks update some strings
    to match the design translate the list items names include online
    accounts button (LP: #1488016, #1487382)
  * [system-update] use scalable distributor-logo icon from the theme
    (LP: #1367137)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 09 Sep 2015 15:08:25 +0000

ubuntu-system-settings (0.3+15.10.20150901-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * emit credentialsDeleted when the U1 token expired (LP: #1378678)

  [ Manuel de la Pena ]
  * Sign the query in order to get a possible auth error from the server
    and stop the user from trying to do updates with invalid creds.
  * The updates page is leaking objects when we have a successful update
    and when we do have errors. The following branch ensures that no
    memory is wasted.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 01 Sep 2015 13:59:12 +0000

ubuntu-system-settings (0.3+15.10.20150831-0ubuntu1) wily; urgency=medium

  [ simon.busch@canonical.com ]
  * Reworking bluetooth support in settings a bit to work as it should:
    devices are now correctly connected after they got paired which
    wasn't the case before due to timing reasons
    (org.bluez.Audio/Input/... interface wasn't registered yet)
    DevicePage is now created on the fly to avoid it displaying
    information for a moment from a previously selected device
    DevicePage is now split out of the PageComponent.qml file Discover
    service functionality is dropped as bluez does this on its own and
    we don't need to care (LP: #1488836)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 31 Aug 2015 13:22:00 +0000

ubuntu-system-settings (0.3+15.10.20150827-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Don't show the phone number in the about page, that is now provided
    by address-book-app (LP: #1364452)

  [ Robert Ancell ]
  * Use new QML package names for qml-module-qt-labs-folderlistmodel,
    qml-module-qtsysteminfo.

  [ Sebastien Bacher ]
  * [security-privacy] rename the "Lock phone" item to "Locking and
    unlocking" and do not include the screen delay as a value, it
    misleads users to think that the section is only about that where it
    also includes security options (LP: #1361127)
  * [security-privacy] use the correct access to location string (LP:
    #1388184)

  [ jonas-drange ]
  * Use wait_select_single instead of select_single to make the test
    less flaky
  * [plugin] add has-dynamic-name to allow for dynamic renaming of a
    plugin. (LP: #1475629)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 27 Aug 2015 07:47:59 +0000

ubuntu-system-settings (0.3+15.10.20150818-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * [hotspot] fixes ui bugs. Depends on suru-icon-theme
    14.04+15.04.20150813~ to get the new hotspot icon. Depends on qml-
    module-ubuntu-connectivity (>= 0.5.3) to get new connectivity
    bindings. (LP: #1459701)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 18 Aug 2015 13:20:14 +0000

ubuntu-system-settings (0.3+15.10.20150814-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * dismiss_osk after entering text

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 14 Aug 2015 19:59:01 +0000

ubuntu-system-settings (0.3+15.10.20150812-0ubuntu1) wily; urgency=medium

  [ jonas-drange ]
  * [cellular] add hotspot support by use of the Connectivity API (LP:
    #1477300, #1421583)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 12 Aug 2015 12:20:19 +0000

ubuntu-system-settings (0.3+15.10.20150810-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * Set dimTimeout to 0 when activityTimeout is 0 (LP: #1476372)

  [ Sebastien Bacher ]
  * [bluetooth] turn off discovery if inactive, not only suspended (LP:
    #1482235)

  [ jonas-drange ]
  * [python] fix pep8 warnings from new pep8 1.6

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 10 Aug 2015 13:20:25 +0000

ubuntu-system-settings (0.3+15.10.20150806-0ubuntu1) wily; urgency=medium

  [ jonas-drange ]
  * [autopilot/phone] stops calling the method passed to assertThat
  * [autopilot] change Wi-Fi and System Update tests to use a mocked
    indicator-network (org.gtk.Actions and com.ubuntu.connectivity1).

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 06 Aug 2015 15:10:13 +0000

ubuntu-system-settings (0.3+15.10.20150804-0ubuntu1) wily; urgency=medium

  [ Sebastien Bacher ]
  * [system-update] get the custom build information from the s-i
    service (LP: #1393413)

  [ jonas-drange ]
  * Adds Flickables to many pages. (LP: #1470782)

  [ simon.busch@canonical.com ]
  * Convert Bluetooth connect/disconnect operations to async ones to not
    block the UI when the backend takes a little bit longer to perform
    those.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 04 Aug 2015 18:14:23 +0000

ubuntu-system-settings (0.3+15.10.20150731-0ubuntu1) wily; urgency=medium

  [ Ken VanDine ]
  * [cellular/apn] new APN panel made for the new 'Preferred' property,
    as well as the 'ResetContext' method. (LP: #1435360, #1361864,
    #1376714, #1457676, #1424149, #1442646, #1388222)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 31 Jul 2015 18:19:18 +0000

ubuntu-system-settings (0.3+15.10.20150729.1-0ubuntu2~gcc5.1) wily; urgency=medium

  * No change upload, build with GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Jul 2015 11:56:52 +0200

ubuntu-system-settings (0.3+15.10.20150729.1-0ubuntu1) wily; urgency=medium

  [ Christopher Lee ]
  * Update AP helper so it doesn't attempt to use an unreachable value
    when scrolling.

  [ Ken VanDine ]
  * Added a sleep to give set_forward_on_busy time to finish
  * Use wait_select_single in the wifi dialog and bump the sleep to 1
    second
  * We need to explicitly stop dbus in tearDownClass, fixes lingering
    dbus processes

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 29 Jul 2015 18:06:23 +0000

ubuntu-system-settings (0.3+15.10.20150724-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Manuel de la Pena ]
  * Recompile with the new udm to avoid ABI issues.

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 24 Jul 2015 17:17:31 +0000

ubuntu-system-settings (0.3+15.10.20150722-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Ken VanDine ]
  * Use TextField.write to properly use the OSK Added helper to dismiss
    OSK

  [ jonas-drange ]
  * [tests] avoids setting Interfaces property after the
    Cellular/Phone/About plugins have loaded.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Jul 2015 12:55:01 +0000

ubuntu-system-settings (0.3+15.10.20150716-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Ken VanDine ]
  * [wifi] Fixed handling of loading extended attributes from the
    MenuModel (LP: #1472505)

  [ handsome_feng<445865575@qq.com> ]
  * Add flickable in time/date page. (LP: #1469076)

  [ jonas-drange ]
  * [phone] make services insensitive when there are no services as well
    as adding autopilot tests for sim services. (LP: #1470779)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 16 Jul 2015 13:40:14 +0000

ubuntu-system-settings (0.3+15.10.20150708-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * Lets the Wi-Fi panel respond to an SSID provided by dispatcher by
    launching a "Connect to" dialogue. (LP: #1241986)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 08 Jul 2015 20:07:33 +0000

ubuntu-system-settings (0.3+15.10.20150703-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Joerg Berroth ]
  * Added support for 802-1x wireless network configurations. (LP:
    #1241986)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Jul 2015 16:09:00 +0000

ubuntu-system-settings (0.3+15.10.20150702.3-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Test searching for WiFi instead of Sound, online-accounts now has a
    soundcloud account type (LP: #1468029)

  [ Matthew Paul Thomas ]
  * Changes "Install & Restart" to "Restart & Install" and "Not Now" to
    "Cancel". lp:1359344 (LP: #1359344)

  [ jonas-drange ]
  * implement CFB, CFNRy and CFNRc as well as autopilot tests (LP:
    #1463828)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 02 Jul 2015 22:48:32 +0000

ubuntu-system-settings (0.3+15.10.20150622-0ubuntu2) wily; urgency=medium

  * debian/control:
    - don't have an alternative depends on system-image-snappy-cli,
      it's deprecated
    - have ubuntu-snappy-cli as an alternative to click, that's not the
      right solution but a workaround to unblock snappy image build

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 02 Jul 2015 10:30:10 +0200

ubuntu-system-settings (0.3+15.10.20150622-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * [wifi] skip some tests that cannot be mocked and use specific object
    when found during connection (LP: #1441192)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 22 Jun 2015 13:01:01 +0000

ubuntu-system-settings (0.3+15.10.20150615-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Activate the accessPoint on click

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 15 Jun 2015 13:41:16 +0000

ubuntu-system-settings (0.3+15.10.20150604-0ubuntu1) wily; urgency=medium

  [ Sebastien Bacher ]
  * [battery] use round linejoin style to workaround rendering glitches
    (LP: #1461624)
  * define a way for plugin to be visible if a file exists, use that
    capability to enable the updates panel on system-image systems and
    not snappy one, which allows us to not have a strong depends on
    system image components

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 04 Jun 2015 15:45:14 +0000

ubuntu-system-settings (0.3+15.10.20150527-0ubuntu1) wily; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Iain Lane ]
  * Improve filtering in main page and timezone filters. (LP: #1454186,
    #1446086)

  [ Ken VanDine ]
  * Ensure dim-timeout is 10 seconds less than activity-timeout (LP:
    #1437510)
  * debian/control: bumped depends on ubuntu-keyboard-data to >=
    0.99.trunk.phablet2+15.04.20150421 to get gsettings schema changes
    (LP: #1454230)
  * expose deviceName to QML

  [ Lukáš Tinkl ]
  * compare the language and kbd layout names in a locale-aware manner

  [ Sebastien Bacher ]
  * Translate push_helper expected strings to avoid failure in non C
    locales (LP: #1456941)
  * [battery] use the correct height value for the first point of the
    graph, that fixes the initial point often starting to high and the
    curve starting with an almost vertical line (LP: #1439122)
  * [language] update auto punctuation description to match the osk
    behaviour (LP: #1385288)
  * [security-privacy] remove obsolete dash search option (LP: #1422700)

  [ jonas-drange ]
  * New icon as per lp:1457424 (LP: #1457424)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 27 May 2015 09:23:37 +0000

ubuntu-system-settings (0.3+15.04.20150514-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Ken VanDine ]
  * Re-factored SIM Pin related tests into separate classes to properly
    ensure the LockedPins property is properly setup for each test.
  * incorporate SimPin helper from ubuntu-sanity-tests and refactor a
    few tests to utilize them

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 14 May 2015 16:06:15 +0000

ubuntu-system-settings (0.3+15.04.20150511-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Removed the spacing from the updates ListView and use margins
    instead. This fixes the extra space left as updates are installed.
    (LP: #1450866)

  [ Sebastien Bacher ]
  * [battery] display last charge info in hours rather than days (LP:
    #1438535)

  [ jonas-drange ]
  * [security-privacy] give the focus to the right entry, if the current
    unlock method is swipe then there is no "current password" so the
    new input line should be the focussed one (LP: #1438049)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 11 May 2015 20:43:06 +0000

ubuntu-system-settings (0.3+15.04.20150430.1-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Ken VanDine ]
  * Include supported frameworks and arch when checking for updates (LP:
    #1449582)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 30 Apr 2015 19:38:05 +0000

ubuntu-system-settings (0.3+15.04.20150422.1-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Michael Sheldon ]
  * Allow system settings to find keyboard plugins in additional
    locations specified via gsettings. (LP: #1445532)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Apr 2015 20:23:14 +0000

ubuntu-system-settings (0.3+15.04.20150422-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Don't call a test from inside another test

  [ Leonardo Arias Fonseca ]
  * Fix the base class used when launching the app in autopilot tests.

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 22 Apr 2015 18:48:35 +0000

ubuntu-system-settings (0.3+15.04.20150420-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Ken VanDine ]
  * Error checking for plugin instance and pageComponent (LP: #1438633)

  [ Nick Dedekind ]
  * Fix for laggy backends (lp#1390136) (LP: #1390136)

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 20 Apr 2015 15:48:06 +0000

ubuntu-system-settings (0.3+15.04.20150413-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.
  * Resync trunk.

  [ Sebastien Bacher ]
  * [battery] refresh the canvas when getting focus to avoid outdated
    info (LP: #1435424)
  * [bluetooth, sim] Get some dialogs to focus their text entry by
    default
  * [security-privacy] give the focus to the right entry, if the current
    unlock method is swipe then there is no "current password" so the
    new input line should be the focussed one (LP: #1438049)
  * bluetooth: check if the device is valid before getting details

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 13 Apr 2015 15:08:56 +0000

ubuntu-system-settings (0.3+15.04.20150407-0ubuntu1) vivid; urgency=medium

  [ Alex Tu ]
  * for Arale device: fixed:LP#1417459 Storage size not correct (LP:
    #1433024, #1417459)

  [ CI Train Bot ]
  * New rebuild forced.

  [ alextu ]
  * for Arale device: fixed:LP#1417459 Storage size not correct (LP:
    #1433024, #1417459)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 07 Apr 2015 21:11:26 +0000

ubuntu-system-settings (0.3+15.04.20150403-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ jonas-drange ]
  * Removes trailing spaces, as well as spaces on empty lines.
  * fix tests that uses the networkmanager template

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 03 Apr 2015 16:51:57 +0000

ubuntu-system-settings (0.3+15.04.20150401.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ Ken VanDine ]
  * Fixed handling of pinRetries Improved dbusmock template for ofono to
    support testing LockPin, UnlockPin, ChangePin and EnterPin (LP:
    #1415850)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Apr 2015 18:30:16 +0000

ubuntu-system-settings (0.3+15.04.20150401-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * New rebuild forced.

  [ jonas-drange ]
  * [cellular/apn] make apn entry enabled always (LP: #1388046)
  * [cellular/apn] no creation of custom contexts on editor exit (LP:
    #1433278)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 01 Apr 2015 14:09:52 +0000

ubuntu-system-settings (0.3+15.04.20150331.2-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Roberto Alsina ]
  * Use per-package notification settings instead of per-app and per-
    scope. (LP: #1434181)

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 31 Mar 2015 19:39:17 +0000

ubuntu-system-settings (0.3+15.04.20150325-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ jonas-drange ]
  * [cellular] apn page does not overwrite empty, provisioned contexts
    (LP: #1415495)

 -- CI Train Bot <ci-train-bot@canonical.com>  Wed, 25 Mar 2015 22:22:32 +0000

ubuntu-system-settings (0.3+15.04.20150317-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk.

  [ Ken VanDine ]
  * reorder includes to be alphabetical and removed a blank line

  [ Timo Jyrinki ]
  * Don't build-depend on Qt private header packages. (LP: #1427991)
    (LP: #1427991)

  [ jonas-drange ]
  * [sound] show other vibrate setting

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 17 Mar 2015 18:02:08 +0000

ubuntu-system-settings (0.3+15.04.20150305-0ubuntu1) vivid; urgency=medium

  [ Sebastien Bacher ]
  * bluetooth: disable device visiblity when switching out, that way
    it's not staying on if the settings are closed from the switcher or
    if the user switch to another software (LP: #1419874)

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 05 Mar 2015 20:53:03 +0000

ubuntu-system-settings (0.3+15.04.20150224-0ubuntu1) vivid; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Make an adapter-wide agent available for pairing requests initiated from
    a remote device. (LP: #1366061)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 24 Feb 2015 22:40:10 +0000

ubuntu-system-settings (0.3+15.04.20150223-0ubuntu1) vivid; urgency=medium

  [ Leo Arias ]
  * On the autopilot tests, select the main window by object name. Added
    a proxy object for the application. Cleaned up the launching
    methods.

  [ Timo Jyrinki ]
  * Cleanup leftover commented out section from Qt 5.4 transition.

 -- CI Train Bot <ci-train-bot@canonical.com>  Mon, 23 Feb 2015 19:58:56 +0000

ubuntu-system-settings (0.3+15.04.20150220.1-0ubuntu1) vivid; urgency=medium

  [ Sebastien Bacher ]
  * bluetooth: disable pairing for unsupported device types, the current
    UI let users click on the button but doesn't do anything out of
    closing the page, better to show the button as unactive instead

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 20 Feb 2015 17:41:55 +0000

ubuntu-system-settings (0.3+15.04.20150220-0ubuntu1) vivid; urgency=medium

  [ Sebastien Bacher ]
  * system-update: use the correct right-anchoring so the checking-for-
    updates label is not cut, in some locales (LP: #1421967)

  [ Iain Lane ]
  * Drop old example images from debian/copyright - they aren't shipped
    any more

  [ Rodney Dawes ]
  * Handle the credentialsDeleted signal appropriately. (LP: #1413655)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 20 Feb 2015 14:40:43 +0000

ubuntu-system-settings (0.3+15.04.20150219.1-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * revert automatic translation merge
  * Reapplied automatic translations import
  * Removed conflicting ConnectivityMixin to fix smoke testing
  * Use wait_select_single to fix test_reset_launcher failures

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 15:25:00 +0000

ubuntu-system-settings (0.3+15.04.20150219-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Fix logic error in check for Paired to know if we should add
    ellipsis.

  [ jonas-drange ]
  * [cellular] better ux for no sims (LP: #1377182)

  [ Iain Lane ]
  * Reintroduce the functionality dropped in the Qt 5.4 transition -
    expose the functions we need from QStorageInfo to QML, and copy over
    a heuristic function to tell if a drive is "internal" or not.
  * Make the developerMode property not CONSTANT - this was ignored as
    it's writable.

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Thu, 19 Feb 2015 02:08:28 +0000

ubuntu-system-settings (0.3+15.04.20150217-0ubuntu1) vivid; urgency=medium

  [ jonas-drange ]
  * [cellular] allow user to change 3g modem (LP: #1379850)
  * [cellular] makes the apn editor somewhat compatible to libqofono 0.7
    (LP: #1379850, #1415215)

  [ CI Train Bot ]
  * New rebuild forced.

 -- CI Train Bot <ci-train-bot@canonical.com>  Tue, 17 Feb 2015 15:33:07 +0000

ubuntu-system-settings (0.3+15.04.20150213-0ubuntu2) vivid; urgency=medium

  * Disable StorageInfo use temporarily while a fix for the upstream class
    removal is being done.
  * Adapt WIP lp:~laney/ubuntu-system-settings/storageinfo-5.4 to keep the
    entry and free space info visible while disabling the clickablity.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 16 Feb 2015 09:08:47 +0200

ubuntu-system-settings (0.3+15.04.20150213-0ubuntu1) vivid; urgency=medium

  [ Sebastien Bacher ]
  * bluetooth: workaround for a bluez bug where the number of entered
    digits in DisplayPasskey pairing doesn't make sense. Only update the
    passkey hint while typing if the number is <= 6.
  * change applicationName MainView's property to be "ubuntu-system-
    settings" rather than "SystemSettings", the documentation says it
    should match the desktop file name. The toolkit also sets the
    textdomain to that value which leads to translation issues, even if
    the domain is changed again later on, since glib does some init
    based on the return value of the first call to g_dgettext for
    example (LP: #1420404)

 -- CI Train Bot <ci-train-bot@canonical.com>  Fri, 13 Feb 2015 18:43:07 +0000

ubuntu-system-settings (0.3+15.04.20150211.1-0ubuntu1) vivid; urgency=medium

  [ jonas-drange ]
  * [sound] let user toggle other vibrate setting

  [ Sebastien Bacher ]
  * categories: disable tap effect on the section headers (LP: #1417061)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 11 Feb 2015 17:34:13 +0000

ubuntu-system-settings (0.3+15.04.20150209-0ubuntu1) vivid; urgency=medium

  [ CI Train Bot ]
  * Resync trunk

  [ Mathieu Trudel-Lapierre ]
  * [bluetooth] Display address for device in main list if name hasn't
    been discovered yet.

  [ Sebastien Bacher ]
  * security-privacy: display the password mismatch warning when the new
    text and the confirmation have the same length and different
    content, without requiring for the user to hit the validation button
  * security: use new i18n.ctr rather than qsTr which doesn't use
    gettext (LP: #1418537)
  * bluetooth: use the correct signature for the DisplayPasskey callback
  * bluetooth: implement simple secure pairing dialog (LP: #1415509)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 09 Feb 2015 15:47:11 +0000

ubuntu-system-settings (0.3+15.04.20150130-0ubuntu1) vivid; urgency=medium

  [ Ken VanDine ]
  * Use device-state from indicator-power to determine charging status.
    QtSystemsInfo doesn't support UPower 0.99. (LP: #1416096)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 30 Jan 2015 22:53:18 +0000

ubuntu-system-settings (0.3+15.04.20150129.2-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * initialize m_lastFullCharge as NULL

  [ Sebastien Bacher ]
  * [sound] tweak strings following design recommendation (LP: #1410766)
  * [security-privacy] enable the confirmation button only in the cases
    described by the specification (LP: #1412523, #1412527)

  [ jonas-drange ]
  * [security/privacy] add connectivity binding and let user unlock a
    given SIM (LP: #1378883)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Jan 2015 18:32:13 +0000

ubuntu-system-settings (0.3+15.04.20150127.1-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Revoke any cached authorizations before trying to change password
    mode. This makes sure that we authenticate the user again even if we
    just did so (for UX consistency).

  [ jonas-drange ]
  * [ap] avoid use of scroll_to_and_click where the element to be
    clicked is visible without scrolling
  * [wifi] updates AP test because of a new backend

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Jan 2015 16:35:43 +0000

ubuntu-system-settings (0.3+15.04.20150127-0ubuntu1) vivid; urgency=low

  [ Alberto Mardegan ]
  * Security: ignore older requests when building the applications'
    grants

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Jan 2015 10:04:19 +0000

ubuntu-system-settings (0.3+15.04.20150126-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * security-privacy: give default focus to the first entry (LP:
    #1412530)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 26 Jan 2015 15:20:31 +0000

ubuntu-system-settings (0.3+15.04.20150123-0ubuntu1) vivid; urgency=low

  [ Manuel de la Peña ]
  * Add support for checksum validation. (LP: #1330770)

  [ Diego Sarmentero ]
  * Add support for checksum validation. (LP: #1330770)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Jan 2015 16:53:49 +0000

ubuntu-system-settings (0.3+15.04.20150122-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * [system-updates] Don't show an empty list after updates are
    completed (LP: #1392240, #1413369)

  [ jonas-drange ]
  * [wifi] use an already translated, sane string for consistency

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Jan 2015 14:50:57 +0000

ubuntu-system-settings (0.3+15.04.20150116-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Work around for the SDK's addition of a Dialog CPO, this fixes
    matching in test_reset

  [ CI Train Bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 16 Jan 2015 14:11:26 +0000

ubuntu-system-settings (0.3+15.04.20150115-0ubuntu1) vivid; urgency=low

  [ Manuel de la Peña ]
  * Fix pause issue ensuring that it does pause the download. (LP:
    #1398310)

  [ Manuel de la Pena ]
  * Fix pause issue ensuring that it does pause the download. (LP:
    #1398310)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 15 Jan 2015 15:32:30 +0000

ubuntu-system-settings (0.3+15.04.20150114-0ubuntu1) vivid; urgency=low

  [ jonas-drange ]
  * Change the way we use OfonoManager.modems, since it is no longer
    populated at creation time (in u-s-s)—use events instead. libqofono
    bindings also require that the modem emits InterfacesChanged with
    their name it it, to work at all. All modem mocks has been updated.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 14 Jan 2015 15:17:36 +0000

ubuntu-system-settings (0.3+15.04.20150112-0ubuntu1) vivid; urgency=low

  [ jonas-drange ]
  * [security] replace inputmask for validator and maximum length (LP:
    #1357548)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Jan 2015 16:43:30 +0000

ubuntu-system-settings (0.3+15.04.20150110-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Tiny step towards improved use of the preferred page-object model,
    hopefully making some tests more reliable.

  [ Allan LeSage ]
  * Add just a few helpers for a Bluetooth sanity test.
  * Minimal helpers for a SIM PIN test.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 10 Jan 2015 06:51:06 +0000

ubuntu-system-settings (0.3+15.04.20150109-0ubuntu1) vivid; urgency=low

  [ Jussi Pakkanen ]
  * Make currently active connection forgettable.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Jan 2015 08:48:06 +0000

ubuntu-system-settings (0.3+15.04.20150107-0ubuntu1) vivid; urgency=low

  [ CI Train Bot ]
  * Resync trunk

  [ jonas-drange ]
  * [about] use networkinfo to pull the wifi device MAC (LP: #1399723)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Jan 2015 12:05:12 +0000

ubuntu-system-settings (0.3+15.04.20141216-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * [system-update] remember the latest SystemUpdate downloaded and
    compare the version when checking again and set updateReady
    appropriately. This fixes the handling of downloaded updates when
    auto-download is false. (LP: #1392051)

  [ Michael Zanetti ]
  * Enable support for Bluetooth Input devices

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Dec 2014 06:57:52 +0000

ubuntu-system-settings (0.3+15.04.20141211-0ubuntu1) vivid; urgency=low

  [ jonas-drange ]
  * [cellular/carriers] new Carrier & APN entry, as well as a major
    refactor of carrier selection code warranted by the design change.
    (LP: #1388044)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Dec 2014 21:15:06 +0000

ubuntu-system-settings (0.3+15.04.20141210.1-0ubuntu1) vivid; urgency=low

  [ jonas-drange ]
  * [cellular] Use a repeater to lay out two separate ItemSelectors for
    modems, making sure it works well between connMan power cycles (LP:
    #1377455)
  * [about] properly display IMEI values for no devices ("None"), one
    device and multiple devices. Remove test now redundant. (LP:
    #1205294)

  [ Iain Lane ]
  * Use changed_properties instead of invalidated_properties. timedated
    no longer sends the latter. We also now get the new value for free
    along with the change, so save it instead of doing another roundtrip
    over the bus to ask for it again. (LP: #1400353)

  [ Mathieu Trudel-Lapierre ]
  * Re-enable all device types.

  [ CI Train Bot ]
  * Resync trunk

  [ Ken VanDine ]
  * [brightness] ensure properties are not use undefined (LP: #1385467)

  [ Chris Gagnon ]
  * wait for selectTimeZoneField in autopilot test (LP: #1396335)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Dec 2014 16:01:14 +0000

ubuntu-system-settings (0.3+15.04.20141202-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Drop wizard code from ubuntu-system-settings, moving it to unity8.

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Dec 2014 19:39:55 +0000

ubuntu-system-settings (0.3+15.04.20141201-0ubuntu2) UNRELEASED; urgency=medium

  * Fix mem leak in the update page.

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Wed, 03 Dec 2014 11:11:00 +0100

ubuntu-system-settings (0.3+15.04.20141201-0ubuntu1) vivid; urgency=low

  [ Michał Sawicz ]
  * Add missing dependency on qml-module-ubuntu-connectivity.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 01 Dec 2014 12:35:25 +0000

ubuntu-system-settings (0.3+15.04.20141125-0ubuntu1) vivid; urgency=low

  [ Ted Gould ]
  * Make silent mode use the action state in the sound user service (LP:
    #1395709)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Nov 2014 14:37:40 +0000

ubuntu-system-settings (0.3+15.04.20141118-0ubuntu1) vivid; urgency=low

  [ jonas-drange ]
  * [about] use singlevaluestacked for all information bits in the
    version panel (LP: #1390148)

  [ John R. Lenton ]
  * added debug logging to the software updates helper

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Nov 2014 16:43:17 +0000

ubuntu-system-settings (0.3+15.04.20141112.1-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * Update the translations template during the build (LP: #1389786)

  [ jonas-drange ]
  * [cellular][phone] titles now using SettingsItemTitle (LP: #1389767)
  * [wifi] fix multiple issues in the "Connect to other network" dialog
    (LP: #1387656)

  [ Andrea Cimitan ]
  * Delay password set/confirm screens after entering the 4th digit,
    fixing 1390557 (LP: #1390557)

  [ CI bot ]
  * Resync trunk

  [ Ken VanDine ]
  * Specify DaemonVersion for upower to support upower 0.99 on vivid
    (LP: #1390629)
  * [battery] don't control wifi state with libnm, use the
    QDBusActionGroup from indicator-network (LP: #1391940)

  [ Christian Dywan ]
  * Remove the dialog internals resizing hack (LP: #1376763)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 12 Nov 2014 19:27:21 +0000

ubuntu-system-settings (0.3+15.04.20141105.1-0ubuntu1) vivid; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Kevin Gunn ]
  * fix white space issues

  [ Nick Dedekind ]
  * Fixed switches & check-boxes going out of sync with backends. (LP:
    #1336715)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 20:32:26 +0000

ubuntu-system-settings (0.3+15.04.20141105-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * [orientation] String change to Rotation Lock (LP: #1388888)

  [ Sebastien Bacher ]
  * [notifications] update strings to match the design (LP: #1377286)

  [ Mathieu Trudel-Lapierre ]
  * [bluetooth] make the bluetooth agent a notifyable property. (LP:
    #1346483)

  [ Albert Astals ]
  * Use AbstractButton for haptic feedback (LP: #1389630)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 05 Nov 2014 14:51:49 +0000

ubuntu-system-settings (0.3+15.04.20141103-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Use the SliderMenu component instead of the Slider component, it
    matches the design and doesn't flicker while changing the
    brightness. (LP: #1289465)
  * Need to create UpClient regardless of upower version

  [ Sebastien Bacher ]
  * [storage] build the correct ini name rather than guessing it (LP:
    #1387834)
  * [battery] don't use a colored icon (LP: #1351383)

  [ Michael Terry ]
  * Redesign location page according to latest design visuals / text.
    Allows GPS-only, GPS+HERE, or nothing at all. (LP: #1384763)

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Nov 2014 17:30:03 +0000

ubuntu-system-settings (0.3+15.04.20141031.2-0ubuntu1) vivid; urgency=low

  [ Sebastien Bacher ]
  * Tweaks to try to make the section headers and titles closer to the
    design. Use a custom component, with tweaked margins and disabled
    tap effects, for that.

  [ Iain Lane ]
  * Move formatSize into a new Utilities class in the qml context and
    call this from the updates panel to consistently display sizes (LP:
    #1385286)
  * Update to work with UPower >= 0.99 as well as current versions (LP:
    #1330037)

  [ Albert Astals ]
  * i18n++ (LP: #1386730)

  [ William Hua ]
  * Re-translate the UI when reboot is cancelled after language change.
    (LP: #1377984)

  [ jonas-drange ]
  * [cellular] split "Cellular Data" and "Connection type" into two
    separate pieces in the UI for both single and multi SIM (LP:
    #1361226)
  * [wifi] use actiongroup to hide "connect to other networks" (LP:
    #1377076)

  [ Michael Terry ]
  * When the power button is held down, show the shutdown dialog like we
    do in the unity8 shell. (LP: #1381731)
  * Add a Continue button when choosing a passphrase. And fix a few
    other design nits with choosing a password.

  [ Michael Zanetti ]
  * Drop reboot notification label on launcher reset. (LP: #1376707)

  [ Mathieu Trudel-Lapierre ]
  * [bluetooth] Show bluetooth address instead of name while it's not
    detected; to be updated once available. (LP: #1382767)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Oct 2014 14:53:52 +0000

ubuntu-system-settings (0.3+15.04.20141028.1-0ubuntu1) vivid; urgency=low

  [ Ken VanDine ]
  * Refactored to use a singleton for UpdateManager shared in both QML
    and CPP. Don't load the dynamic visibility items while creating the
    item model, defer that to the loader. (LP: #1317007)

  [ Florian Boucault ]
  * Added QML debugging.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Oct 2014 20:44:34 +0000

ubuntu-system-settings (0.3+15.04.20141028-0ubuntu1) vivid; urgency=low

  [ Michael Terry ]
  * Fix a typo in the HERE terms link.

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Oct 2014 14:15:45 +0000

ubuntu-system-settings (0.3+14.10.20141022-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Michael Zanetti ]
  * update code to reset launcher after launcher backend implementation
    was reworked (LP: #1376707)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 Oct 2014 21:34:27 +0000

ubuntu-system-settings (0.3+14.10.20141021.1-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * [storage] translator comment for the string "%1 free" (LP: #1377929)
  * [system-update] ellipsize labels if needed (LP: #1376286)
  * [sound] Use the correct low icon (LP: #1376286)

  [ Lars Uebernickel ]
  * notification-manager: fix issues with GVariant API usage

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 Oct 2014 15:24:55 +0000

ubuntu-system-settings (0.3+14.10.20141021-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * [security/privacy] allow user to change HERE and location detection
    settings. (LP: #1375322)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 21 Oct 2014 13:23:03 +0000

ubuntu-system-settings (0.3+14.10.20141017~rtm-0ubuntu1) 14.09; urgency=low

  [ Ken VanDine ]
  * Updated the pot file.

  [ jonas-drange ]
  * [cellular] indirectly recreate ConnectionManager interface's dbus
    proxy so it reports the true value of 'Powered' after flight mode
    (LP: #1376957)

  [ Iain Lane ]
  * [sound] Make listSounds take a list of directories and list all of
    the files in them, instead of assuming "/custom" all the time.

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Sebastien Bacher ]
  * [sound] list custom ringtones as well (LP: #1381528)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 17 Oct 2014 14:57:51 +0000

ubuntu-system-settings (0.3+14.10.20141014-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Add an APN editor. (LP: #1225174)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 14 Oct 2014 07:52:12 +0000

ubuntu-system-settings (0.3+14.10.20141010-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Complete the unlock security screens and update a host of other
    small design issues. (LP: #1365034, LP: #1348362) (LP: #1365034,
    #1348362)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Oct 2014 18:02:19 +0000

ubuntu-system-settings (0.3+14.10.20141009-0ubuntu1) utopic; urgency=low

  [ Diego Sarmentero ]
  * Improves in network backend. Detect network connection and show
    "Connect to the internet..." message or retry on netword detected. .
  * Detect account added on online accounts (LP: #1362149)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Oct 2014 15:09:57 +0000

ubuntu-system-settings (0.3+14.10.20141007-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * [wifi/phone] dynamically chooses what SIM to use when there's only
    one present. (LP: #1375832)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 07 Oct 2014 18:21:03 +0000

ubuntu-system-settings (0.3+14.10.20141003-0ubuntu1) utopic; urgency=low

  [ Iain Lane ]
  * [storage/about] Use a QSharedPointer to manage freeing of the
    counter which we use to display all of the collected sizes at once.
    If the measuring process was cancelled, we were freeing it multiple
    times - once for each outstanding size measurement. This led to a
    crash. (LP: #1375988)
  * [security-privacy] Link with gobject, uses symbols from this
    library. Prevents "[…]libUbuntuSecurityPrivacyPanel.so contains an
    unresolvable reference to symbol
    g_signal_handlers_disconnect_matched: it's probably a plugin"
    warnings.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 03 Oct 2014 13:52:42 +0000

ubuntu-system-settings (0.3+14.10.20141002-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * [cellular] react to application.state changes and update potential
    out-of-date default SIM settings (LP: #1364103)
  * [wifi] let removed networks update the previous network model so
    that we can reuse the model (and not pop the pagestack twice,
    causing this ux issue) (LP: #1370389)

  [ Sebastien Bacher ]
  * [location] use a flickable so the list can be scrolled (LP:
    #1374017)
  * [security] get localized application names from the trust-store (LP:
    #1374018)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 02 Oct 2014 14:05:35 +0000

ubuntu-system-settings (0.3+14.10.20141001-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fixed handling of the Downloading/Installing label based on actual
    state. . Forward updateProgress signals for system updates. Layout
    fixes (LP: #1312587)
  * Use new splash screen (LP: #1376242)
  * Improved tracking download states
  * Use new target_build_number from system-image-dbus to determine
    visibility of the update notification (LP: #1355803)

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 01 Oct 2014 16:01:54 +0000

ubuntu-system-settings (0.3+14.10.20140926-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * [storage] use libclick rather than calling the command line (LP:
    #1368967)
  * [storage] tweaks to the disk informations, limit the free space to
    the user available one (excluding the system partitions), don't list
    the external mounts, that's described in the design and is going to
    require work on the categories computation to give correct values
    (LP: #1284247)
  * [about] display the free space value next to the storage label (LP:
    #1335144)

  [ Albert Astals ]
  * Add i18n.tr

  [ jonas-drange ]
  * [wifi] connect to hidden network is now a dialog (LP: #1366005)

  [ Ken VanDine ]
  * Provide more keywords to make search useful (LP: #1370219) (LP:
    #1370219)
  * [background] set sourceSize in the image preview to work around an
    issue loading large images (LP: #1373462)

  [ CI bot ]
  * Resync trunk

  [ Mathieu Trudel-Lapierre ]
  * [bluetooth] Properly handle device types for connection and
    disconnection. (LP: #1369964)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Sep 2014 15:32:57 +0000

ubuntu-system-settings (0.3+14.10.20140925-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Add a translator comment for what HERE means. (LP: #1368838) (LP:
    #1368838)
  * Prevent a crash in unity8 when the wizard also crashes or stops
    early. (LP: #1355892) (LP: #1355892)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Sep 2014 00:22:52 +0000

ubuntu-system-settings (0.3+14.10.20140924.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Prevent the buttons of the wizard's password page from overlapping
    its content when the OSK appears. (LP: #1368346) (LP: #1368346)

  [ Ken VanDine ]
  * Set the version information in the SystemUpdate constructor (LP:
    #1371810) (LP: #1371810)
  * [reset] Don't bail out on an isValid() check on the SystemImage
    QDBusInterface, the docs say isValid() may not be reliable for
    remote interfaces (LP: #1370815) (LP: #1370815)
  * Fixed reference error for count on the various device models (LP:
    #1362517) (LP: #1362517)
  * [background] Use the ContentPeerPicker to select sources for
    backgrounds (LP: #1356542) (LP: #1356542)

  [ Iain Lane ]
  * Don't check if the timedated interface is valid before calling
    SetTime on it, it might have timed out and we should reactivate it
    in that case.
  * [about] Fix developerMode property to be QMLish - read & write
    instead of separate "read" and "toggle" properties.
  * [about] Don't display a frame for icons that can't be found,
    improving the visual appearance. Also return the correct path for
    click packages which use the icon theme.

  [ Sebastien Bacher ]
  * [storage] handle the scope click .ini and get the correct icons (LP:
    #1368920)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Sep 2014 16:47:25 +0000

ubuntu-system-settings (0.3+14.10.20140924-0ubuntu1) utopic; urgency=low

  [ Albert Astals ]
  * make pot

  [ Oliver Grawert ]
  * fix LP: #1365903, add a watch to Developer Mode page so the page
    gets refreshed when going back through the page stack, also fix the
    page id and bounds (LP: #1365903)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 24 Sep 2014 11:10:54 +0000

ubuntu-system-settings (0.3+14.10.20140917.1-0ubuntu2) UNRELEASED; urgency=medium

  * Some packaging fixes
    - > is not a valid relationship. It should be >>
    - Don't recommend suru-icon-theme since we also depend on it
    - Bump S-V to 3.9.6 which for example allows the images we ship in
      /usr/lib/
    - Override binary-no-manpage lintian warnings. We're not going to get man
      pages for u-s-s any time soon

 -- Iain Lane <iain.lane@canonical.com>  Wed, 24 Sep 2014 12:12:26 +0100

ubuntu-system-settings (0.3+14.10.20140917.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Make UpdateManager a singleton and refresh the availableUpdates
    count when the model updates (LP: #1325629) (LP: #1325629)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 14:04:04 +0000

ubuntu-system-settings (0.3+14.10.20140917-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Include an icon instead of using the themed icon (LP: #1365408) (LP:
    #1365408)

  [ Mathieu Trudel-Lapierre ]
  * [bluetooth] don't try to enable Discoverable if the device isn't
    powered yet. (LP: #1355904)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Sep 2014 02:19:38 +0000

ubuntu-system-settings (0.3+14.10.20140915.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * When activated by a url request for a specific panel, clear the
    pageStack to maintain the natural navigation instead of pushing a
    new page on top of a page from a the previous panel (LP: #1362025)
    (LP: #1362025, #1359953)

  [ Lars Uebernickel ]
  * Use Icon instead of StatusIcon

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 23:26:16 +0000

ubuntu-system-settings (0.3+14.10.20140915-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ John R. Lenton ]
  * Take the system settings push helper closer to implementing the spec
    at https://wiki.ubuntu.com/SoftwareUpdates#Prompting (LP: #1363972)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 15 Sep 2014 13:54:48 +0000

ubuntu-system-settings (0.3+14.10.20140913-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Don't try to tweak the bottomMargin for the OSK, it was trying to
    calculate it based on an undefined component so failing. It
    shouldn't be needed anyway.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 13 Sep 2014 02:46:25 +0000

ubuntu-system-settings (0.3+14.10.20140912-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * [wifi] "Other Network" -> "Connect to hidden network" (LP: #1365984)
  * [wifi] fix bad looking buttons in "Other Networks" panel (LP:
    #1362127)

  [ Jussi Pakkanen ]
  * Hide entry to connect to hidden network when wifi is off. (LP:
    #1365960)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Sep 2014 20:43:55 +0000

ubuntu-system-settings (0.3+14.10.20140911.3-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Fixed tests for the dialpad settings failing on mako
  * Don't call downloadUpdate when we see a system update ready, the
    service does that for us (LP: #1368294) (LP: #1368294)
  * Translate desktop file (LP: #1318008) (LP: #1318008)

  [ Martin Pitt ]
  * update POT

  [ Sebastien Bacher ]
  * [system-update] open the ubuntuone subpanel rather than the list
    (LP: #1348580)
  * [security-privacy] use ngettext strings when needed (LP: #1368159)
  * Increase vertical spacing in the settings grid (LP: #1348579)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Sep 2014 21:08:06 +0000

ubuntu-system-settings (0.3+14.10.20140911.1-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * [background] always keep custom images, and remove press-and-hold
    action. (LP: #1365167)
  * [wifi] do not use predictive text for network name input (LP:
    #1365992)
  * [language] workaround for transition bug in keyboard layout menu
    (LP: #1350809)
  * [wifi] factory was setting the icon property, which was causing the
    icon to not render (LP: #1364366)

  [ Alejandro J. Cura ]
  * Fixing the refreshing of the apps scope (LP: #1360369)

  [ Sebastien Bacher ]
  * [sound] use the correct backend to control the keyboard sound toggle
    (LP: #1366208)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Sep 2014 04:15:10 +0000

ubuntu-system-settings (0.3+14.10.20140911-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Don't call downloadUpdate for system updates that are already
    downloading (LP: #1365646) (LP: #1311219, #1365646)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Sep 2014 00:42:18 +0000

ubuntu-system-settings (0.3+14.10.20140909-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Notify the user if the phone needs to be plug to power for update.

  [ Sebastien Bacher ]
  * [system-update] don't draw a frame around ubuntu updates (LP:
    #1367136)

  [ Mathieu Trudel-Lapierre ]
  * Also allow Speakers and Carkits as valid audio devices to pair.

  [ Michael Terry ]
  * Allow switch from PIN code to passphrase and back using the same
    password. (LP: #1357043) (LP: #1357043)
  * Fix false-negatives from AccountsService when switching from swipe
    to password (LP: #1363405) (LP: #1363405)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Sep 2014 16:40:09 +0000

ubuntu-system-settings (0.3+14.10.20140908.1-0ubuntu1) utopic; urgency=low

  [ Ricardo Salveti de Araujo ]
  * sound: setting default audio role for ringtone and messages

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 21:41:34 +0000

ubuntu-system-settings (0.3+14.10.20140908-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Don't crash when destructing the Wizard.Utils.System plugin. This
    fixes the crash on wizard exit and the crash when pressing back on
    the HERE license.

  [ CI bot ]
  * Resync trunk

  [ Sebastien Bacher ]
  * [developer-mode] working scrolling and correct spacing
  * Use standard items for the categories and don't display dividers
    (LP: #1365563)
  * [orientation-lock] don't display a frame around the icon (LP:
    #1365450)

  [ jonas-drange ]
  * [about/versions] create reusable component of singlevalue items that
    have long values (LP: #1363927)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Sep 2014 14:58:34 +0000

ubuntu-system-settings (0.3+14.10.20140905.1-0ubuntu1) utopic; urgency=low

  [ David Barth ]
  * Enable location panel, display contols for authorized applications.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Sep 2014 09:01:36 +0000

ubuntu-system-settings (0.3+14.10.20140904.2-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Tweak the depends for accountsservice-ubuntu-schemas to handle a "~"
    version

  [ CI bot ]
  * Resync trunk

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 21:04:28 +0000

ubuntu-system-settings (0.3+14.10.20140904.1-0ubuntu1) utopic; urgency=low

  [ Guillermo Gonzalez ]
  * Basic unittest for the push-helper script

  [ Mathieu Trudel-Lapierre ]
  * Downgrade qFatal failure to register bluetooth agent to a qCritical.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 04:39:47 +0000

ubuntu-system-settings (0.3+14.10.20140904-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Various fixes for wifi wizard page (LP: #1362296)

  [ Sebastien Bacher ]
  * [security] don't mark "%1" string as translatable
  * [security] give a translation context to the 'None' string (LP:
    #1362143)
  * [licenses] display an error when the copyright can't be read (LP:
    #1206150)

  [ Michael Terry ]
  * Avoid another race condition when switching password types by
    completing all DBus operations synchronously as we exit the
    policykit agent. LP: 1361137 (LP: #1361137)
  * Fix the OSK not working on first boot. When the wizard closes, shut
    down maliit-server and the indicators so that unity8 can start them
    itself. LP: 1362679 (LP: #1362679)

  [ jonas-drange ]
  * [about] print out phone numbers for dual sims as well
  * [about/wifi] adding mac addresses for bt and wifi, and ip for wifi
    (LP: #1356239)
  * [language] explain to the user that a reboot is necessary for the
    change to take effect (LP: #1240875)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Sep 2014 00:59:05 +0000

ubuntu-system-settings (0.3+14.10.20140902.2-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Make the HERE license optional, clearly mark it as a HERE license
    instead of an Ubuntu license, and connect it to the HERE backend.

  [ CI bot ]
  * Resync trunk

  [ Martin Pitt ]
  * POT update

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Sep 2014 23:27:15 +0000

ubuntu-system-settings (0.3+14.10.20140829.2-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Added setting for dialpad sounds to both the sound and phone panels.

  [ CI bot ]
  * Resync trunk

  [ Diego Sarmentero ]
  * Fix out of sync image download. Refresh scope after installation
    (LP: #1324923)

  [ Sebastien Bacher ]
  * [battery] refresh the graph on a minute basis
  * [notifications] use normal text style and ubuntushaped icons

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Aug 2014 20:48:28 +0000

ubuntu-system-settings (0.3+14.10.20140829.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * When changing to swipe mode, it was possible that our policykit
    agent would not unregister itself, making the next attempt to change
    modes appear to work, but in truth fail. Also, no longer ask for a
    password to switch to swipe mode if policykit has a cached
    authentication for us. (LP: #1350381)

  [ Sebastien Bacher ]
  * [security] tweak some pin locking details to match the design better

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 29 Aug 2014 05:19:18 +0000

ubuntu-system-settings (0.3+14.10.20140828.3-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Implement the "When locked, allow:" portion of the Security &
    Privacy panel, so now the user can control whether the launcher
    and/or indicators are available while locked. (LP: #1358340) (LP:
    #1358340)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 18:11:51 +0000

ubuntu-system-settings (0.3+14.10.20140828.2-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Update look and feel of wizard to more closely match the visual
    design.

  [ Jussi Pakkanen ]
  * Minor cleanups.

  [ Roberto Alsina ]
  * Don't crash the push helper in locales that have no .mo file (LP:
    #1357506)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 28 Aug 2014 13:55:40 +0000

ubuntu-system-settings (0.3+14.10.20140827.3-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * SIM PIN lock implementation

  [ jonas-drange ]
  * [main panel] add visual feedback on press
  * [cellular] uses modemtechnologies property from ofono to populate
    technology preference options (LP: #1346790)

  [ Sebastien Bacher ]
  * [language] workaround inconsistent languages casing (LP: #1362123)
  * [background] Display the default background selected (LP: #1349329)
  * [storage] display translated names (LP: #1360207)
  * [updates] don't display animations when clicking on update rows (LP:
    #1360364)
  * [background] don't use an icon in the headerbar (LP: #1362122)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 22:19:17 +0000

ubuntu-system-settings (0.3+14.10.20140827.1-0ubuntu1) utopic; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Fix PIN code or passcode requests by properly matching the tag for
    the original request. (LP: #1355152)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 27 Aug 2014 15:27:50 +0000

ubuntu-system-settings (0.3+14.10.20140826.1-0ubuntu1) utopic; urgency=low

  [ Martin Pitt ]
  * Update PO template

  [ Sebastien Bacher ]
  * Include extra files for translations (LP: #1359267)

  [ jonas-drange ]
  * [main panel] show rotation lock, point to correct setting

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 15:48:48 +0000

ubuntu-system-settings (0.3+14.10.20140826-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Hide sleep locks immediately setting, which isn't implemented yet
    (LP: #1361297) (LP: #1361297)

  [ Sebastien Bacher ]
  * [system-update] rework the ui to use a column rather than anchors,
    the layout is quite dynamic and it should be easier to position and
    stack widgets this way (LP: #1343172)

  [ Michael Terry ]
  * After selecting the language, update the session environment
    immediately and restart indicators so that their notifications (like
    wifi prompt) are translated. (LP: #1354325)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 26 Aug 2014 00:55:20 +0000

ubuntu-system-settings (0.3+14.10.20140825-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Added autopilot tests for security-privacy

  [ jonas-drange ]
  * [phone] adding dual sim functionality to phone panel

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 25 Aug 2014 15:19:31 +0000

ubuntu-system-settings (0.3+14.10.20140822.1-0ubuntu1) utopic; urgency=low

  [ Charles Kerr ]
  * In the welcome wizard, refresh the text in the 'no sim card' and
    'all done' pages to match the latest from design.

  [ Michael Terry ]
  * Add a location page and a terms and conditions page for the HERE
    service.

  [ Ken VanDine ]
  * Settings for idle/lock timeout (LP: #1230345)
  * Added flickable to fix scrolling (LP: #1354161)

  [ Jussi Pakkanen ]
  * Fix a bunch of compiler warnings.

  [ jonas-drange ]
  * [cellular] displays cellular UIs based on how many SIMs are present.
    (LP: #1357393)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 22 Aug 2014 18:57:00 +0000

ubuntu-system-settings (0.3+14.10.20140819.1-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * [system-updates] set flickable to null, workaround an issue with the
    page widget (the panel opens with a listview on top, which the page
    use, but then a button is added between those and that's not well
    handled) (LP: #1356292)

  [ Leo Arias ]
  * Made the wizard security options translatable. (LP: #1357605)

  [ jonas-drange ]
  * [cellular] fix bug where the ui reverts tech pref to 2G and where
    ofono rejects 'any' (LP: #1355053)

  [ Ken VanDine ]
  * Disable predictive text for the SIM name editor, it isn't terribly
    useful there and currently causes the field to get blocked when the
    keyboard is raised.

  [ Martin Pitt ]
  * Mark for using language packs.

  [ Alberto Mardegan ]
  * Other App Access: get icon from click package Improve the logic for
    retrieving the icon. (LP: #1356938)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 19 Aug 2014 15:26:55 +0000

ubuntu-system-settings (0.3+14.10.20140815-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Make the wizard properly handle devices with zero, one, or two SIM
    modem slots. Previously it assumed exactly one slot. (LP: #1332583)

  [ jonas-drange ]
  * [main panel] point rotation lock at new backend and add (skipped)
    tests (LP: #1288332)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 15 Aug 2014 16:45:51 +0000

ubuntu-system-settings (0.3+14.10.20140814.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Alberto Mardegan ]
  * Implement the "Other App Access" screen As per
    https://wiki.ubuntu.com/AccountPrivileges#Phone

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 13:14:19 +0000

ubuntu-system-settings (0.3+14.10.20140814-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Avoid a race condition when cleaning up the wizard's Mir socket.
    This way we won't delete unity8's Mir socket out from under it. (LP:
    #1355726)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 14 Aug 2014 00:37:03 +0000

ubuntu-system-settings (0.3+14.10.20140813-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sebastien Bacher ]
  * [system-update] use ubuntushaped icons (LP: #1354478)
  * [security-privacy] let the error messages wrap when needed (LP:
    #1354503)

  [ jonas-drange ]
  * [cellular] hide radio settings selector for offline dual sims (LP:
    #1350380)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 13 Aug 2014 13:31:04 +0000

ubuntu-system-settings (0.3+14.10.20140812.3-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * [battery] Updated based on latest designs, switching from brightness
    slider to progression which loads the brightness plugin.
    [brightness] Moved BrightnessSlider component to brightness plugin,
    since it's now only used in one place. (LP: #1289470)

  [ Sebastien Bacher ]
  * system-update: tweaks to the "no update available" label (LP:
    #1348568)

  [ William Hua ]
  * Use gsettings-qt in language panel.
  * Add auto-punctuation and keyboard vibration options. Also fix auto-
    completion to be auto-correction per spec. (LP: #1352398)

  [ Michael Terry ]
  * Implement a lock security page in the wizard. This page is super
    ugly right now and just the bare bones functionality needed to set a
    passcode or otherwise. Design is working on final visual design and
    we will update later. (LP: #1348362)

  [ jonas-drange ]
  * [cellular] uis for default SIM settings
  * [cellular] use expandable to show/hide sim editor and put the sim
    editor in a Loader element to optimize single sim setups

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 19:23:51 +0000

ubuntu-system-settings (0.3+14.10.20140812-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * [battery] make the GPS switch visible

  [ Sebastien Bacher ]
  * update translation template
  * [battery] workaround qt bug that leads the canvas to not update
    correctly
  * [battery] don't use antialiasing, it leads to issue with texts (LP:
    #1354363)

  [ John R. Lenton ]
  * Bring the system settings push helper over from ubuntu-push.

  [ Roberto Alsina ]
  * Fix for the lp:1352988 crasher. (LP: #1352988)

  [ Martin Pitt ]
  * Don't break translatable strings in the middle of the sentence, as
    that makes them impossible to translate. (LP: #1350921)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 12 Aug 2014 00:39:49 +0000

ubuntu-system-settings (0.3+14.10.20140807-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Only turn the wizard off if the user actively presses the Finished
    button. That is, don't disable the wizard if we crash or the user
    turns off the phone while still in the wizard. (LP: #1348577)
  * Avoid making a method call that can return undefined results,
    potentially causing password or language setting to not work
    correctly.

  [ jonas-drange ]
  * [reset] bring back reset and hook it up to the backend. Added happy
    path tests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 07 Aug 2014 14:54:57 +0000

ubuntu-system-settings (0.3+14.10.20140806.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Oliver Grawert ]
  * Tie activity of the developer mode toggle to the selected password
    type (only make the toggle switch active if the password type is not
    set to "swipe")

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 16:44:31 +0000

ubuntu-system-settings (0.3+14.10.20140806-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Stop the wizard from crashing on exit by not redefining a property
    that blew up when the wifi list was emptied. (LP: #1335298)

  [ John R. Lenton ]
  * Fix the depends to be on the right gsettings schema version.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 06 Aug 2014 05:58:03 +0000

ubuntu-system-settings (0.3+14.10.20140805-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * handle qtdeclarative5-ubuntu-content1 package rename

  [ John R. Lenton ]
  * This makes the category grid a little bit looser. (LP: #1352866)

  [ Iain Lane ]
  * Add a 'reset' API so that plugins can reset their settings to
    default. They can do this in one of two ways: by providing a
    function 'bool reset()' in their 'plugin' which returns true or by
    providing a top-level javascript function 'reset' in their page
    component.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 05 Aug 2014 19:30:58 +0000

ubuntu-system-settings (0.3+14.10.20140804.1-0ubuntu1) utopic; urgency=low

  [ Diego Sarmentero ]
  * Add a plugin for enabling/disabling push notification per-app.

  [ Roberto Alsina ]
  * Add a plugin for enabling/disabling push notification per-app.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 04 Aug 2014 14:14:33 +0000

ubuntu-system-settings (0.3+14.10.20140801.2-0ubuntu1) utopic; urgency=medium

  [ Mathieu Trudel-Lapierre ]
  * Bluetooth UI redesign:
    - Redesign the UI to follow the specification.
    - Create devices only when attempting to connect.
    - Bugfixes for displaying icons for devices.
    - Show new icons for common device types.
    - Support more device types.
    - Show Trusted (known) devices in a separate list from the devices detected
      by Discovery.
    - Allow for a way to forget (unpair) a known device. (LP: #1336197)
    - Follow the state of the Bluetooth adapter for whether Bluetooth
      is enabled. (LP: #1272317)
    - Miscellaneous bug fixes.
  * debian/control: add Build-Depends on libqtdbusmock1-dev and
    libqtdbustest1-dev for Bluetooth testing.

  [ Ken VanDine ]
  * [sound] exposed silentMode and vibrate settings
  * Set anchorToKeyboard in the MainView, to fix issues found on screens
    with multiple input fields. Most noticeable is in the apneditor
    branch that is still being worked on.

  [ CI bot ]
  * Resync trunk

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Michael Terry ]
  * Make the buttons in the password change dialog conform to the color
    scheme preferred by design (green for accept buttons, grey for
    neutral buttons).

  [ jonas-drange ]
  * [cellular] add sim name editor for dual sim scenario

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 01 Aug 2014 17:10:42 +0000

ubuntu-system-settings (0.3+14.10.20140730-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Iain Lane ]
  * Move the arch-restricted Depends on qtmir to the wizard binary
    package which uses it, and lower it to Recommends since there's a
    non-mir path too.

  [ Adolfo Jayme Barrientos ]
  * Fix typo in user-facing strings: user → use (LP: #1349855)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 30 Jul 2014 19:48:02 +0000

ubuntu-system-settings (0.3+14.10.20140729.2-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Stop storing user's password in plaintext. Instead, store it in PAM
    the same way the Desktop images do. Also, expose the UI to set it.
    (LP: #1234983)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 23:31:40 +0000

ubuntu-system-settings (0.3+14.10.20140729.1-0ubuntu1) utopic; urgency=low

  [ Gerry Boland ]
  * Use QtMir instead of the older Unity-Mir Need for Qt Compositor.

  [ Iain Lane ]
  * Update pot

  [ Michał Sawicz ]
  * Use QtMir instead of the older Unity-Mir Need for Qt Compositor.

  [ Robert Bruce Park ]
  * Add a build-dep on qtmir to avoid building on inappropriate arches.

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 29 Jul 2014 20:54:05 +0000

ubuntu-system-settings (0.3+14.10.20140725.4-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * [sound] Added volume slider to the sound pane

  [ jonas-drange ]
  * Cellular panel changes: new carrier design. Carrier selection for
    two sims (individual selection). Using either sim1 or sim2 for
    cellular data. Data technology preference selection refactor to work
    for dual sim scenario as well.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 18:13:24 +0000

ubuntu-system-settings (0.3+14.10.20140725.3-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * [phone] Call forwarding implementation

  [ CI bot ]
  * Resync trunk

  [ Oliver Grawert ]
  * Add DeveloperMode page to "About this device" (see: .
    https://wiki.ubuntu.com/AboutThisDevice#developer-mode) Enable
    toggling of the adb usb gadget driver in DeveloperMode page through
    the dbus-property-service interface. Add shortcut from DeveloperMode
    page to Lock screen settings (since the final dev mode will require
    that you can lock before enabling it). Depend on suru-icon-theme
    since we are using the security alert icon on the Developer Mode
    page. Depend on dbus-property-service on the arches where it is
    available since we use it in Developer Mode .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 25 Jul 2014 15:32:46 +0000

ubuntu-system-settings (0.3+14.10.20140723-0ubuntu1) utopic; urgency=low

  [ jonas-drange ]
  * Hi, this branch seeks to address most of the design changes to the
    Background panel in System Settings (post Malta) The current spec
    and designs are here:
    https://wiki.ubuntu.com/Appearance#Phone.2BAC8-tablet Related bugs:
    https://bugs.launchpad.net/ubuntu/+source/ubuntu-system-
    settings/+bug/1297418 https://bugs.launchpad.net/ubuntu-autopilot-
    tests/+bug/1322074 Changes: Removed all functionality and code
    related to changing scope background. Added autopilot tests. New
    header design that collapses/expands. Not part of this branch:
    Scaling in preview has not been implemented. It should have its own
    branch. After rotating the phone in system settings, the default
    background will appear to have been deselected. This is because the
    current background is now the default tablet background. Confirmed
    on mako. Will file bug. Thank you. (LP: #1322074)

  [ Iain Lane ]
  * Add 1 gu of spacing between rows in the main screen's grid

  [ Pawel Stolowski ]
  * Added X-Ubuntu-Default-Department-ID key to the desktop file. This
    is required by click scope to support departments for preinstalled
    applications.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 23 Jul 2014 00:45:42 +0000

ubuntu-system-settings (0.3+14.10.20140721.1-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * debian/ubuntu-system-settings.maintscript: auto-update to released
    version

  [ Iain Lane ]
  * Remove leftover /etc/apparmor.d/usr.bin.system-settings conffile.
  * Use the last updated date returned by 'Info' on system-image's D-Bus
    interface instead of reading a file on the fs, which is an
    implementation detail.
  * Clean up AP tests to try to fix test failures. Run ofono and system-
    image tests on the about page under mocks.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 21 Jul 2014 14:51:03 +0000

ubuntu-system-settings (0.3+14.10.20140718.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * [phone] Call waiting implementation

  [ Iain Lane ]
  * [sound] Set the index on construction to avoid a disconcerting
    animation when entering the page. (LP: #1342533)
  * Run pylint and pyflakes on the right directory so they actually work
    and fix the errors.
  * revert lenient AppArmor profile since we won't be limiting access to
    ofono in this manner. Furthermore, due to a naive check in media-
    hub-server for the connecting process' profile name, this allows
    system-settings to playback files via media-hub-server again (LP:
    #1342321) (LP: #1342321)

  [ William Hua ]
  * Sort ignoring case, filter out unnamed locales. (LP: #1342326)
  * Set only left and right anchors in language panel. (LP: #1343513)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 18 Jul 2014 19:15:36 +0000

ubuntu-system-settings (0.3+14.10.20140715-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Refresh the wording of the welcome wizard dialogs to match latest
    from design.

  [ Jussi Pakkanen ]
  * Remove bad import statement. (LP: #1341580)

  [ Leo Arias ]
  * Refactored the About autopilot tests to use the page object pattern.
    Added the click_item public helper to be used by UX tests.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Jul 2014 14:25:44 +0000

ubuntu-system-settings (0.3+14.10.20140714-0ubuntu1) utopic; urgency=low

  [ Michał Sawicz ]
  * Move wizard welcome page to libqofono SIM backend. (LP: #1341007)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 14 Jul 2014 14:32:35 +0000

ubuntu-system-settings (0.3+14.10.20140711.1-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Dropped QML bindings for ofono-qt from the phone plugin and ported
    to libqofono's QML bindings. Show last time called for each service
    under SIM services and enabled the call button, to launch the
    dialer. (LP: #1221908)

  [ jonas-drange ]
  * use libqofono bindings to allow for technology preference changes

  [ Iain Lane ]
  * [accountsservice] Don't guard D-Bus calls with isValid, because that
    doesn't work if the service has timed out.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Jul 2014 16:12:27 +0000

ubuntu-system-settings (0.3+14.10.20140711-0ubuntu1) utopic; urgency=low

  [ Andrea Cimitan ]
  * Workaround for OSK input area (LP: #1334429)

  [ Sebastien Bacher ]
  * battery, draw the x axis labels (LP: #1289460)

  [ Iain Lane ]
  * [time-date] Ask for properties over D-Bus even when the object is
    not considered valued (due to the service timing out), to cause it
    to be activated.

  [ Leo Arias ]
  * Ported the autopilot package to python3. (LP: #1327325)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Jul 2014 08:55:46 +0000

ubuntu-system-settings (0.3+14.10.20140709.2-0ubuntu1) utopic; urgency=low

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Antti Kaijanmäki ]
  * Implement the flight-mode toggle on the quick-access area.
    debian/control: added urfkill to Depends .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 09 Jul 2014 10:08:39 +0000

ubuntu-system-settings (0.3+14.10.20140708.1-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Jussi Pakkanen ]
  * Add support for creating a hotspot. (LP: #1326271)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 08 Jul 2014 16:17:14 +0000

ubuntu-system-settings (0.3+14.10.20140707.2-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sebastien Bacher ]
  * updated translations template

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 07 Jul 2014 15:10:49 +0000

ubuntu-system-settings (0.3+14.10.20140703.1-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Kill maliit-server when wizard is done. This is because maliit-
    server is normally tied to the Mir server that launched it. Unless
    we kill it, it won't be re-associated with unity8 correctly. (LP:
    #1335917)

  [ CI bot ]
  * Resync trunk

  [ Iain Lane ]
  * [about] Look harder for the desktop file so we can display more
    icons in the list of apps (LP: #1324618)
  * Fix storage by name/by size sorting and remember the selected value.
    (LP: #1320160)
  * update-plugin: Don't declare prototypes that aren't used

  [ Steve Langasek ]
  * Don't use 'setup' as a verb. (LP: #1336181)

  [ Sebastien Bacher ]
  * updates: tweak the interface don't use dividers between list items.
    use the labels specified in the design. show the "install n updates"
    button only when there are several updates (LP: #1333565)
  * Tweak items order to match design, add a separator

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 03 Jul 2014 15:29:07 +0000

ubuntu-system-settings (0.3+14.10.20140702.1-0ubuntu1) UNRELEASED; urgency=medium

  * No change rebuild for new ubuntu-download-manager.

 -- Manuel de la Pena <manuel.delapena@canonical.com>  Thu, 03 Jul 2014 16:33:54 +0200

ubuntu-system-settings (0.3+14.10.20140702.1-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * Use new icons from suru theme.

  [ Michał Sawicz ]
  * Use new icons from suru theme.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Jul 2014 07:16:18 +0000

ubuntu-system-settings (0.3+14.10.20140702-0ubuntu1) utopic; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sergio Schvezov ]
  * Adding extra build information from the .Info interface method call
    when expanding OS.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Jul 2014 01:53:01 +0000

ubuntu-system-settings (0.3+14.10.20140626.1-0ubuntu1) utopic; urgency=low

  [ Sebastien Bacher ]
  * updated translation template

  [ Jussi Pakkanen ]
  * Wifi: * Connecto to Other (hidden) Network * Previous Networks

  [ Antti Kaijanmäki ]
  * Wifi: * Connecto to Other (hidden) Network * Previous Networks

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Jun 2014 18:14:08 +0000

ubuntu-system-settings (0.3+14.10.20140623-0ubuntu2) UNRELEASED; urgency=medium

  [ Jamie Strandboge ]
  * add lenient AppArmor profile to allow connecting to ofono (LP: #1296415)
    - add debian/usr.bin.system-settings
    - debian/control: Build-Depends on dh-apparmor
    - debian/rules: update override_dh_installdeb to use dh_apparmor
    - debian/ubuntu-system-settings.dirs: add etc/apparmor.d
    - debian/ubuntu-system-settings.install: install profile in to place

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 23 Jun 2014 17:27:13 -0500

ubuntu-system-settings (0.3+14.10.20140623-0ubuntu1) utopic; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Implement discoverability and some bluetooth fixes: -
    Discoverability: make the system visible to other bluetooth devices
    - Trusted: when successfully paired and connected, mark device as
    Trusted so it can automatically connect again. - Connect the Audio
    interface for all audio devices, including Headsets. Some bluetooth
    audio devices that don't contain a microphone still show up as
    Headsets, and won't connect successfully otherwise. This will still
    work for standard headsets, since Audio connects all audio
    interfaces. - Stop discovery when a device is selected for
    connection, and it sometimes causes connection attempts to fail.
    (LP: #1268047)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 23 Jun 2014 13:52:19 +0000

ubuntu-system-settings (0.3+14.10.20140618-0ubuntu1) utopic; urgency=medium

  [ Michael Terry ]
  * Add Wi-Fi support to the system settings wizard
  * Correctly set up language variables before unity8 runs the first time

  [ Iain Lane ]
  * When connecting to whoopsie-preferences on the bus, don't require
    the interface to be valid. It won't be when the service has exited.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Jun 2014 15:08:38 +0000

ubuntu-system-settings (0.2+14.10.20140612-0ubuntu1) utopic; urgency=low

  [ Mathieu Trudel-Lapierre ]
  * Enable devices other than headsets: headphones and generic audio devices,
    and make the strings referring to headset more generic.

  [ jonas-drange ]
  * Rewrite "Keyboard sound" component in "Sound" panel to use
    "LanguagePlugin" which provides means to toggle keyboard sound
    setting.

  [ Iain Lane ]
  * time-date: Don't try to search while the model is building. Display
    an ActivityIndicator when searching while constructing the model to
    avoid confusing message. (LP: #1326475)
  * Make time-date tests more robust in the face of things taking a
    while to complete. (LP: #1329245)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 12 Jun 2014 16:36:03 +0000

ubuntu-system-settings (0.2) UNRELEASED; urgency=medium

  * Bump version for new package ubuntu-system-settings-wizard

 -- Michael Terry <mterry@ubuntu.com>  Thu, 10 Apr 2014 15:21:31 -0400

ubuntu-system-settings (0.1+14.10.20140606-0ubuntu1) utopic; urgency=low

  [ Michael Terry ]
  * Use XDG_GREETER_DATA_DIR to store background files in a folder that
    the greeter can also read. This fixes the recent regression in not
    being able to choose a ContentHub file for the welcome screen. (LP:
    #1325505)

  [ Iain Lane ]
  * Inline setUpImages(), otherwise the function call doesn't do
    anything.

  [ Brendan Donegan ]
  * Make test_tz_list_initially_empty more robust by using
    wait_select_single instead of select_single to get the label. (LP:
    #1319711)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 06 Jun 2014 14:39:39 +0000

ubuntu-system-settings (0.1+14.10.20140604-0ubuntu1) utopic; urgency=low

  [ Ken VanDine ]
  * Use the new header design. There is currently only one page in USS
    that includes a toolbar action, the background panel has a button to
    import photos from gallery. It works well with the new header.

  [ CI bot ]
  * Resync trunk

  [ Diego Sarmentero ]
  * Not dismiss Credentials warning with other messages. .

  [ Brendan Donegan ]
  * Add test for Check for Updates button and fix search test cases,
    plus add a new one for searches that shouldn't find anything.
  * Get vendor and model from dmi on desktops for test_hardware_name

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Jun 2014 09:02:49 +0000

ubuntu-system-settings (0.1+14.10.20140521-0ubuntu1) utopic; urgency=low

  [ Brendan Donegan ]
  * Change the coverage filter in CMakeLists.txt from test to tests, to
    match the directory name

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 May 2014 17:39:54 +0000

ubuntu-system-settings (0.1+14.10.20140513-0ubuntu1) utopic; urgency=low

  [ Victor R. Ruiz ]
  * Autopilot test refactoring: add emulators and helpers.

  [ Diego Sarmentero ]
  * Fix linking property to non-notifyable attribute .
  * Show click updates notifications in main page. (LP: #1307993)
  * Loading updates page using loadPluginByName to avoid blank page
    issue. (LP: #1308162)

  [ Iain Lane ]
  * Improve performance of the time zone location selection search by
    doing more work in the background

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 May 2014 15:16:45 +0000

ubuntu-system-settings (0.1+14.10.20140507-0ubuntu2) utopic; urgency=medium

  * Renaming dep package qtdeclarative5-qtmultimedia-plugin to
    qml-module-qtmultimedia

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Fri, 09 May 2014 13:29:19 -0300

ubuntu-system-settings (0.1+14.10.20140507-0ubuntu1) utopic; urgency=low

  [ Diego Sarmentero ]
  * Avoid duplicate result of Image upadte. Don't ask for credentials on
    Image update (LP: #1301644)
  * Ignore real updates during autopilot tests (LP: #1281582)

  [ Iain Lane ]
  * Disable the data roaming switch and set it to false if data is off
    (LP: #1287260)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 May 2014 16:36:43 +0000

ubuntu-system-settings (0.1+14.10.20140428-0ubuntu1) utopic; urgency=low

  [ Ricardo Salveti de Araujo ]
  * brightness.cpp: updating code to reflect latest powerd dbus API
    changes. debian/control: depend on latest powerd .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 28 Apr 2014 16:35:19 +0000

ubuntu-system-settings (0.1+14.04.20140411-0ubuntu2) trusty; urgency=medium

  * debian/control: alternatively depend on the OpenGLES version of
    qtdeclarative5-qtmultimedia-plugin and
    qtdeclarative5-ubuntu-ui-toolkit-plugin

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 16 Apr 2014 12:23:58 -0300

ubuntu-system-settings (0.1+14.04.20140411-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * system-update: Fix the flickable bounds behavior so it doesn't
    overshoot when the contentHeight is shorter than the view.
  * fixed some deprecations in ListItems, iconSource instead of icon

  [ Sebastien Bacher ]
  * build the lists of devices before connecting the signals, that
    avoids warning

  [ Iain Lane ]
  * [time-date] Cache the results so that we can search within a
    narrower set
  * Fix click package update checking and update available/not available
    signal emission. (LP: #1306569)

  [ Omer Akram ]
  * autopilot tests improvements: * Improved existing tests to compare
    values with backends instead of just testing the 'item' is there. *
    Fixed a skipped failing test * Delete label tests and those which
    are trying to make sure certain elements exist. (LP: #1301214)

  [ Michael Terry ]
  * Fix click package update checking and update available/not available
    signal emission. (LP: #1306569)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Apr 2014 16:35:32 +0000

ubuntu-system-settings (0.1+14.04.20140402-0ubuntu1) trusty; urgency=low

  [ Andrea Cimitan ]
  * Detect SIM and if negative show no sim page

  [ Victor R. Ruiz ]
  * Autopilot: Move launch_system_settings to a helper module.

  [ Iain Lane ]
  * Hide 'Serial' and 'IMEI' entries when the info isn't available
  * Don't look for PkgConfig explicitly, breaks with Multi-Arch.
    FindPkgConfig.cmake does this for us anyway.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Apr 2014 10:47:05 +0000

ubuntu-system-settings (0.1+14.04.20140328-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Diego Sarmentero ]
  * Add click updates support. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Mar 2014 07:24:29 +0000

ubuntu-system-settings (0.1+14.04.20140321-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * Updates for the QML binding changes in the content-hub

  [ Ubuntu daily release ]
  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Mar 2014 00:38:52 +0000

ubuntu-system-settings (0.1+14.04.20140320-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Add pagination breadcrumbs to wizard.
  * Restore SIM card image in welcome wizard.

  [ Andrea Cimitan ]
  * Use green button for forward

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 20 Mar 2014 09:51:42 +0000

ubuntu-system-settings (0.1+14.04.20140318-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Allow custom wizard pages

  [ Colin Watson ]
  * Only build the about plugin on architectures that have libandroid-
    properties-dev.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Mar 2014 17:51:19 +0000

ubuntu-system-settings (0.1+14.04.20140311.1-0ubuntu1) trusty; urgency=low

  * New rebuild forced

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 17:25:38 +0000

ubuntu-system-settings (0.1+14.04.20140311-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * license: use Label widget instead of Text, it looks more integrated
    (LP: #1286262)
  * language: don't display an chevron for the language item, the list
    displayed is a sheet widget and not a page stack one. (lp: #1289287)
    (LP: #1289287)

  [ Iain Lane ]
  * background selector: lock the toolbar open, per the design (LP:
    #1288361)
  * Don't crash if the migration script can't set values (LP: #1288833)

  [ Michael Terry ]
  * Tweak some of the wording of the wizard, and start the language
    combo expanded

  [ CI bot ]
  * Resync trunk

  [ Omer Akram ]
  * autopilot tests code: fix pep8 and pyflakes warnings. add tests to
    make sure we don't regress on pep8/pyflakes .

  [ Didier Roche ]
  * switch to suru icon theme

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Mar 2014 15:14:22 +0000

ubuntu-system-settings (0.1+14.04.20140303-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Iain Lane ]
  * Also store the ringtone, messages and silent mode settings in
    AccountsService. (LP: #1265528)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Mar 2014 17:03:35 +0000

ubuntu-system-settings (0.1+14.04.20140228-0ubuntu1) trusty; urgency=low

  [ Michael Terry ]
  * Add disabled skeleton of a "Welcome to Ubuntu" wizard for first-time
    boot. Will be enabled when it is more complete.

  [ CI bot ]
  * Resync trunk

  [ Andrea Cimitan ]
  * Add disabled skeleton of a "Welcome to Ubuntu" wizard for first-time
    boot. Will be enabled when it is more complete.

  [ Iain Lane ]
  * Add a 'downloading' parameter to updateAvailableFound so that the UI
    can adjust itself. We need to know if a download is already in
    progress when we enter the update screen to display 'pause' or
    'install' as appropriate.

  [ Sebastien Bacher ]
  * Workarount qt bug that could lead to non working scrolling

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Feb 2014 18:36:12 +0000

ubuntu-system-settings (0.1+14.04.20140224.1-0ubuntu1) trusty; urgency=low

  [ Iain Lane ]
  * Re-enable updates on the main screen

  [ Diego Sarmentero ]
  * Avoid conflicts between concurrent calls to checkForUpdates ( (LP:
    #1279006)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Feb 2014 23:23:06 +0000

ubuntu-system-settings (0.1+14.04.20140218.1-0ubuntu1) trusty; urgency=low

  [ Iain Lane ]
  * Don't check for updates in the EntryComponent of the update plugin.
    Temporarily disables the feature. Will be re-enabled when bug
    #1277589 is fixed. (LP: #1277589)
  * Show default wallpaper in the "Ubuntu art" section of the background
    selector
  * Add some initial AP tests for manual selection of cellular network.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 21:36:59 +0000

ubuntu-system-settings (0.1+14.04.20140218-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * security-privacy: don't use a Column, the toolkit has a bug that
    makes the OptionSelection widget in it not displayed. The Dash page
    currently has only one element so the column is not strictly
    required. (LP: #1277050)

  [ Iain Lane ]
  * Remove the Column since it's not necessary and a UITK bug means its
    contents are hidden (LP: #1273610) (LP: #1273610)
  * Don't show forbidden networks, since we can't ever connect to them

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Feb 2014 10:54:02 +0000

ubuntu-system-settings (0.1+14.04.20140206-0ubuntu1) trusty; urgency=low

  [ Diego Sarmentero ]
  * Show updates notification in main page. .

  [ Iain Lane ]
  * Add the brightness panel (LP: #1275699)
  * Set the 'enabled' and 'value' of BrightnessSlider when the state
    from the indicator backend changes.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 06 Feb 2014 15:47:52 +0000

ubuntu-system-settings (0.1+14.04.20140203-0ubuntu1) trusty; urgency=low

  [ Dimitri John Ledkov ]
  * Fix cross-compilation

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 03 Feb 2014 11:43:23 +0000

ubuntu-system-settings (0.1+14.04.20140131-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * Update the translations template

  [ Iain Lane ]
  * Add some initial tests for the datetime panel

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 31 Jan 2014 13:09:05 +0000

ubuntu-system-settings (0.1+14.04.20140130.1-0ubuntu1) trusty; urgency=low

  [ Iain Lane ]
  * Stop installing the AccountsService schema as it's moving to
    accountsservice-ubuntu-touch-schemas

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Jan 2014 16:46:26 +0000

ubuntu-system-settings (0.1+14.04.20140130-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * [language] Use active-language and spell-checking settings. (LP:
    #1254098)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 Jan 2014 11:32:56 +0000

ubuntu-system-settings (0.1+14.04.20140129-0ubuntu1) trusty; urgency=low

  [ Diego Sarmentero ]
  * Adding the New UI for system updates. .

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 29 Jan 2014 14:41:24 +0000

ubuntu-system-settings (0.1+14.04.20140128-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Alberto Mardegan ]
  * MainView: return success if a plugin has been loaded The
    loadPluginByName() function was not returning anything in the case
    where a plugin could be loaded but didn't provide a page component
    (like Online Accounts is doing). In this case probably JS returns
    just false. Make sure that the function returns a value in all
    cases: false if the plugin cannot be loaded, true if the plugin was
    loaded successfully (even if it doesn't provide a page component).
    (LP: #1273262)

  [ Sebastien Bacher ]
  * storage: use UbuntuShape rather than Rectangle, remove redundant
    “Installed apps” label
  * disable the osk predictive text, so results are shown while typing
    (LP: #1272081)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 28 Jan 2014 13:22:49 +0000

ubuntu-system-settings (0.1+14.04.20140127-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * Small strings tweaks: Update Flight Mode and Orientation Lock
    casing, they are proper nouns. storage: rename "Movies" to "Videos".
    update the translations template (LP: #1247576)
  * None

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 27 Jan 2014 16:18:10 +0000

ubuntu-system-settings (0.1+14.04.20140124-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Iain Lane ]
  * Various fixes to the autopilot tests so that they all pass on both
    desktop and device (at least in the 'C' locale).

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 24 Jan 2014 09:08:01 +0000

ubuntu-system-settings (0.1+14.04.20140122.1-0ubuntu1) trusty; urgency=low

  [ Ted Gould ]
  * Add URL Dispatcher Configuration

  [ Albert Astals ]
  * Run tst_plugin test under the miminal QPA to prevent test failures
    in Qt5. (LP: #1267828)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 Jan 2014 18:42:49 +0000

ubuntu-system-settings (0.1+14.04.20140122-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ William Hua ]
  * [language] Disable confirm if unchanged. (LP: #1263163)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 22 Jan 2014 12:05:40 +0000

ubuntu-system-settings (0.1+14.04.20140115-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * install a screenshot, to be used in the unity dash (LP: #1229758)

  [ Iain Lane ]
  * Don't need an empty destructor in the sound plugin

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 15 Jan 2014 13:40:05 +0000

ubuntu-system-settings (0.1+14.04.20140110-0ubuntu1) trusty; urgency=low

  [ William Hua ]
  * Enable auto-completion and predictive text settings.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 10 Jan 2014 10:58:07 +0000

ubuntu-system-settings (0.1+14.04.20140109.2-0ubuntu1) trusty; urgency=low

  [ CI bot ]
  * Resync trunk

  [ Sebastien Bacher ]
  * updates: display "Software is up to date" is there is no update (LP:
    #1256366)
  * list CMakeLists.txt.user in .bzrignore, that file is used by
    qtcreator

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Jan 2014 16:44:08 +0100

ubuntu-system-settings (0.1+14.04.20140109.1-0ubuntu1) trusty; urgency=low

  [ Iain Lane ]
  * [security-privacy] Use the AS private library
  * [background] Drop direct use of AS & use the new private library.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 09 Jan 2014 13:17:36 +0100

ubuntu-system-settings (0.1+14.04.20140108.1-0ubuntu1) trusty; urgency=low

  * Create a private library for communicating with accountsservice.

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Jan 2014 14:17:32 +0100

ubuntu-system-settings (0.1+14.04.20140108-0ubuntu1) trusty; urgency=low

  * edit install instructions due to the change from qmake to cmake
  * Use ICU for display languages dialog. Fixes the en_DK problem.
    (committed directly) (LP: #1252489)
  * Drop redundant function definition. (committed directly)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 08 Jan 2014 11:58:37 +0100

ubuntu-system-settings (0.1+14.04.20131216-0ubuntu1) trusty; urgency=low

  [ Sebastien Bacher ]
  * battery: list the full charge item under the graph, respecting the
    design.
  * use iconName and iconSource properties, icon has been deprecated See
    https://code.launchpad.net/~fboucault/ubuntu-ui-
    toolkit/icon_api_sanitization/+merge/194253 for the toolkit change
    I've updated the Depends to the version where the change landed:
    https://launchpad.net/ubuntu/+source/ubuntu-ui-
    toolkit/0.1.46+14.04.20131126-0ubuntu1.
  * sound: drop the flickable, that's not needed, ListItem is one.

  [ Iain Lane ]
  * When generating the translated list of keywords, keep the byte array
    alive for as long as it's needed. (LP: #1251729)
  * Add a script to parse the .settings files and extract their
    names/keywords for translation.
  * Fix for lintian warnings; don't generate shlibs for private
    libraries & override extra-license-file tag which points to a qml
    file.
  * [about] If there's a "regulatory-information" plugin, display a
    listitem for it.
  * [background] Set the index of the same/different OptionSelector from
    gsettings.
  * [battery] Draw dashed axes with 'ticks', per the design.
  * [battery] Draw the graph with antialiaing to improve the look of the
    line.
  * Always load our translations from the right directory.
  * Watch upower's device-added and device-removed signals so that we
    can display / hide the battery panel if a battery is hotplugged.
  * Run the autopilot tests with a mock UPower to make them more
    reliable. Add tests checking whether the battery panel is visible or
    hidden, as appropriate (dependent on the presence or not of a
    battery).
  * Update the translation templates.

  [ Jussi Pakkanen ]
  * Add a script to parse the .settings files and extract their
    names/keywords for translation.

  [ Víctor R. Ruiz ]
  * Initial batch of autopilot tests for Ubuntu System Settings.

  [ William Hua ]
  * [language] Load eagerly so we can use fewer pointers.
  * [language] Use custom Base for keyboard layout delegate. (LP:
    #1256017). (LP: #1256017)

  [ Ken VanDine ]
  * [background] dropped unused utilities.js and removed references .
  * default to a wider window size for the desktop, closer to the aspect
    ration on the phone Added more qml files that weren't showing up in
    qtcreator.
  * added another qml source so it shows up in qtcreator .
  * Added the ability to browse default wallpapers as well as manage
    custom wallpapers selected from the gallery. This implements most of
    the changes for the spec[1]. It doesn't implement making changes to
    the images imported from the gallery to better fit the screen, we'll
    do that in a separate branch. [1]
    https://wiki.ubuntu.com/Appearance#Phone.

  [ Adnane Belmadiaf ]
  * Live change the brightness to much the panel indicator.

  [ Dimitri John Ledkov ]
  * Build-depend on gdb:any to aid with cross-building.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 530

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 16 Dec 2013 16:58:21 +0000

ubuntu-system-settings (0.1+14.04.20131119-0ubuntu1) trusty; urgency=low

  [ Ken VanDine ]
  * cellular: Updated the order of the items to match the latest design
    and uncommited the technology preference item but hid it with
    showAllUI.
  * Added QML_SOURCES to the target so they show up in QtC .

  [ Sebastien Bacher ]
  * Ignore some of the autogenerated files, those changed with cmake.
  * battery: color the charge graph.

  [ Iain Lane ]
  * Use UriHandler to handle requests to switch to new pages in an
    existing instance.
  * [background] Correctly set the background in accountsservice. Make
    it update in the UI. Fix the "same/different" toggle. Update the
    reset button to reset the greeter background too, and to set the
    toggle back to "same". (LP: #1237860)
  * Install new translations missed out of the cmake port.
  * Fix dh_shlibdeps warnings. Don't define prototype for functions that
    aren't implemented. Link the language C++ plugin with gio.
  * [wifi] Don't override SDK behaviour—improve look & feel to be more
    in line with the rest of the interface.
  * Unhide greeter background UI now that it works.
  * Do the symlinking of the accountsservice interface in the upstream
    buildsystem, not the packaging.
  * Parse the desktop file (With GDesktopAppInfo) to get the display
    name and icon of click packages to display in About→Storage.
  * [time-date] Use libtimezonemap's new properties to show state and
    full country name in timezone manual selection.

  [ Jussi Pakkanen ]
  * Switch to CMake.

  [ William Hua ]
  * Use m_ convention for naming member variables.
  * Update formats locale too. (LP: #1236772). (LP: #1236772)
  * Show all locales in the display language selector.
  * Re-enable some Maliit settings.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 493

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 19 Nov 2013 11:35:21 +0000

ubuntu-system-settings (0.1+13.10.20131015.2-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * [sound] Fix overriding of title in sound selector subpage causing
    translation errors.
  * [wifi] Properly set the list of networks up for scrolling.

  [ William Hua ]
  * Move state into class so we can fix LP: 1234407 properly. (LP:
    #1234407)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 461

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Oct 2013 20:24:13 +0000

ubuntu-system-settings (0.1+13.10.20131015-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * In the battery plugin, use indicator-bluetooth's "bluetooth-
    supported" action state to know whether or not to show the bluetooth
    toggle. (LP: #1233628)
  * In the bluetooth plugin, handle bluetooth adapters
    appearing/disappearing on the bus. (LP: #1236249)

  [ Sebastien Bacher ]
  * update: get the current build number, use it in the os version
    string. (LP: #1233682)
  * update: tweak a bit the UI, we don't have a description for the
    updates so there is no need to keep the stacked UI, we can use one
    line. Copy the icon in the source as well since it's not installed
    on touch. (LP: #1233682)
  * sound: use the new sounds sets from ubuntu-touch-sounds.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 456

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 15 Oct 2013 04:19:09 +0000

ubuntu-system-settings (0.1+13.10.20131011-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * security: don't display the section titles when they have no widgets
    listed. (LP: #1236331)
  * battery: clean leftover call that got deprecated by the indicator
    use.
  * wifi: replace the hackish frame entry by a standard element, that
    should let the list elements to look like other lists one, rather
    than having some extra height and white separator.

  [ Iain Lane ]
  * Use Qt.locale for month names instead of having them translatable.
    (LP: #1233218)
  * Always push the main page onto the pageStack so that we can go back
    to the index after being launched to an individual panel. (LP:
    #1234588)
  * [time-date] Hide divider between elements in the manual time
    selection screen. (LP: #1237030)

  [ Łukasz 'sil2100' Zemczak ]
  * Add a 'reset background' button to get the default value. (LP:
    #1234994)
  * According to the design the edges of the previews are not supposed
    to be rounded, so we don't need an UbuntuShape here. (LP: #1237821)
  * Remove the included fallback images, use the ones that unity8 uses -
    we do it in the same way that unity8 does, but oh well, it's a
    workaround for now anyway. (LP: #1223798)

  [ William Hua ]
  * Show only installed language packs.

  [ Lars Uebernickel ]
  * battery: don't animate switches when opening the page This happened
    because the switches' values are not set on initialization, but when
    the indicator services reports its state a few ms after opening the
    panel. The switch always animates between its states, with no
    apparent way to turn it off. This fix puts the switch controls into
    a Loader, which loads them as soon as their respective actions are
    available.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 448

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 11 Oct 2013 08:47:27 +0000

ubuntu-system-settings (0.1+13.10.20131004-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: having 100% power is still "fully charged", even while
    discharging.
  * battery: only display the location caption if the gps settings is
    visible.
  * update: clean small unwanted changes that sneaked in a previous
    commit, that should make the "check for update" button do the
    correct thing again, rather than having the label hidding and the
    button stop working. (LP: #1234703)

  [ Iain Lane ]
  * When manually selecting a timezone, navigate back to the previous
    screen (Time & Date) after one second. Don't highlight all cities
    the first time you've selected a new timezone, just the chosen one.
    (LP: #1232114)
  * Check the passed mount point when measuring directory size, to avoid
    a GLib critical message.
  * [about] In the storage subpanel, check the space for drives Qt
    reports as "Unknown".
  * Tweaks to the default layout - Make the text smaller - Make the text
    wrap at the edge of the bounding box of the grid item - Centre the
    grid horizontally - Dynamically space the grid elements according to
    how many columns there are in that category. (LP: #1223827)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 429

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 04 Oct 2013 05:43:12 +0000

ubuntu-system-settings (0.1+13.10.20131002-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * click: the installed-size info is in kib, not in bytes.

  [ Iain Lane ]
  * Use the indicator's value for the charge level instead of
    calculating it from QtSystems derived information.
  * [battery] Update the UI dynamically when the wireless state changes.
  * Various translation tweaks as noted in LP: #1233214. (LP: #1215712,
    #1233214)
  * [battery] Bind the onClicked handlers instead of checked to avoid
    loops when enabling/disabling wifi.
  * Remove one more missed translation.
  * Bump required version of ubuntu-keyboard-data, as we require the
    schemas for the language panel.
  * Remove the SettingsCheckEntry now that the design issues are
    resolved.

  [ Ted Gould ]
  * Adding a %u to the desktop file Exec line.

  [ William Hua ]
  * Hook up language panel to some maliit settings.

  [ Didier Roche ]
  * Use some async calls for system update where we don't expect any
    returned value.
  * Add an indeterminate progress bar until system image answers.

  [ Charles Kerr ]
  * Show an ActivityIndicator to tell users when discovery mode is on to
    search for new bluetooth devices.
  * add PIN code pairing. Implementation is similar to the existing
    passkey pairing.

  [ Ken VanDine ]
  * revert the previous revert done in rev 391, Bug (#LP: #1231368) was
    caused by gallery-app needing a rebuild for content-hub changes. .
    (LP: #1231368)

  [ Alberto Mardegan ]
  * Parse URLs given in command line. (LP: #1227690)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 419

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 02 Oct 2013 04:09:15 +0000

ubuntu-system-settings (0.1+13.10.20130930-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * update: hide the description of the updates from the panel, since
    the current version of the server doesn't provide those information.
    (see bug #1215586 for details). (LP: #1215586)
  * cellular: - use the new itemselector widget rather the deprecated
    valueselector - hide the non implemented statistics option - turn
    the data mode selector to an on/off switch, ofono supports only
    those.

  [ Iain Lane ]
  * Use GLib to get the sizes of directories to display in
    Storage>About, displaying a spinner while the information is being
    calculated. Also record the total space used by click packages to
    display too. (LP: #1205297, #1228419)

  [ Łukasz 'sil2100' Zemczak ]
  * In a hacky way, try hiding the welcome-screen background changing
    elements for v1 - by a design decision. (LP: #1230295)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 401

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 30 Sep 2013 09:37:44 +0000

ubuntu-system-settings (0.1+13.10.20130926.4-0ubuntu1) saucy; urgency=low

  [ Charles Kerr ]
  * As requested, remove the linefeed between a function's return type
    and its name.

  [ Sebastien Bacher ]
  * security: hide non working PIN and app access settings.
  * battery: hide screen idle delay selection, the backend is not
    working.
  * timezone: some tweaks and fixes - hide the selector, we don't have a
    backend for automatic selection - replace the text widget by label
    from the ubuntu uitk, it fixes the issue with the text being too
    small - update the placeholder string according to the new design.
  * datetime: drop empty list item, it's not in the design.
  * hide reset options until we get some backend code working. The
    factory resets require support for the system image side, the other
    options should be doable from our side later on.
  * hide phone settings, we lack phone app support for call
    forwarding,waiting.
  * update the translation template.
  * background: revert use of the new content-hub, it's buggy (see bug
    #1231368). (LP: #1231368)

  [ William Hua ]
  * Switch to ListView as workaround to LP #1227249. (LP: #1227249)

  [ David Planella ]
  * Add a translator comment for the battery charge level (bug 1210341).
    (LP: #1210341)

  [ Alberto Mardegan ]
  * Load testability driver if the -testability option is given. This
    change is needed in order to make the system-settings application
    and its plugins testable with autopilot (or other testability
    plugins).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 392

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 26 Sep 2013 21:44:53 +0000

ubuntu-system-settings (0.1+13.10.20130925.1-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Ask Upstart App Launch to make settings single instance. (LP:
    #1227111)

  [ Iain Lane ]
  * Reduce the height of the time/date pickers as they weren't fitting
    on mobile devices. (LP: #1228409). (LP: #1228409)
  * Use QMenuModel to hook up toggles for bluetooth and gps/location
    enabled/disabled in the battery and security-privacy panels.
    Location is hidden because the backend doesn't work yet.

  [ Lars Uebernickel ]
  * Fix the brightness slider in the battery panel.

  [ Charles Kerr ]
  * Add the bluetooth plugin.

  [ Ken VanDine ]
  * background: Use singleSelect on the transfer request and specify a
    persistent Content::Store for the transfer .

  [ Didier Roche ]
  * Only Cancel if there is anything to cancel. (LP: #1215946)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 378

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 25 Sep 2013 11:12:19 +0000

ubuntu-system-settings (0.1+13.10.20130924.1-0ubuntu1) saucy; urgency=low

  [ Ted Gould ]
  * Add Wifi Panel.

  [ Iain Lane ]
  * [battery] Disable scrolling of the flickable while the slider is
    being used. Display a % in the tooltip.

  [ Michael Terry ]
  * Hide the "Phone locking" options for now, since they likely won't be
    functional for 13.10.

  [ William Hua ]
  * Security panel: use ItemSelector instead of deprecated
    ValueSelector. (LP: #1223986)
  * Switch the UI language whenever the display language is changed.

  [ Alberto Mardegan ]
  * Add Wifi Panel.

  [ Łukasz 'sil2100' Zemczak ]
  * Change the background image selection screen so that it fits design
    (as per bug #1221179) overlaying the new wallpapers with the assets.
    Right now we're using temporary placeholder assets, still waiting on
    design action. (LP: #1221179)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 369

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 24 Sep 2013 07:03:11 +0000

ubuntu-system-settings (0.1+13.10.20130918.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * timedate: use the new itemselector widget.
  * security: use the new ItemSelector widget.
  * [storage] Add a C++ backend for reading the Click package metadata
    and turning it into a proper table model, allowing the QML side to
    be made far cleaner.

  [ Iain Lane ]
  * Update pot.
  * Add the ability to hide deferred/unfinished panels or elements. Pass
    USS_SHOW_ALL_UI=1 to re-enable them.
  * Hide the deferred brightness panel.
  * Hide "messages on the welcome screen" toggle which is deferred.
  * Flight mode is deferred. Hide it.
  * Don't do anything when clicking on uncategorised items which have no
    pageComponent. They should handle this themselves in their entry
    component.
  * [storage] Add a C++ backend for reading the Click package metadata
    and turning it into a proper table model, allowing the QML side to
    be made far cleaner.

  [ Guenter Schwann ]
  * Use start() to actually start the content picking transfer.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 358

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 18 Sep 2013 07:55:27 +0000

ubuntu-system-settings (0.1+13.10.20130910.3-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * background: use the new OptionSelector, tweak the UI to be closer
    from the visuals (move the labels at the bottom of the images, use
    smaller text, use correct spacing).
  * battery: set current value on the graph.
  * reset: implement backend to reset the unity launcher settings.
  * storage: display the clicks' list rather than the fake datas.
  * updates: use the new ItemSelector widget, updated the download
    option to match the current design as well, moving the selector in
    its own subpage.
  * orientation: replace "Rotation lock" by "Orientation lock".
  * language: use new ItemSelector widget.
  * storage: use new ItemSelector widget.
  * battery: on the desktop use idle-delay's key, which is not
    deprecated.

  [ Iain Lane ]
  * Make the panels display "Lock on idle" or "Sleep on idle" as
    appropriate.
  * Add UI and backend for setting the time manually.
  * Make the "Change passphrase" / "Change passcode" button work.
  * Implement filtering in the main window.
  * Typo fix "Septemper" → "September". (LP: #1221400)
  * Set the unlock type in a QSettings file (~/.unity8-greeter-demo).
    (LP: #1218010)
  * security-privacy: Implement changing password and validation of
    input.

  [ Charles Kerr ]
  * Fix NMClient leak, take battery capacity into account when
    determining the last time a discharging battery was full.

  [ Ken VanDine ]
  * Don't start the transfer from the importer, the hub now handles that
    when dispatching the transfer.

  [ William Hua ]
  * Replace page stack with sheet in display languages. (LP: #1222728)

  [ Adolfo Jayme Barrientos ]
  * Trivial typo fix: Conrifm → Confirm.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 341

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 10 Sep 2013 19:20:48 +0000

ubuntu-system-settings (0.1+13.10.20130904.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * use the theme provider for themed icons.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 315

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 16:24:50 +0000

ubuntu-system-settings (0.1+13.10.20130904-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: use the new ItemSelector list widget.
  * battery: use the new ItemSelector list widget. Depends on the new
    toolkit version for that. If the configuration value is zero, than
    select the "never" entry as well.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 312

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 04 Sep 2013 03:14:44 +0000

ubuntu-system-settings (0.1+13.10.20130903.3-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * stop using the deprecated gicon provider, use the new themed icon
    instead. Change the plugin icon code to support themed icons, as
    well as urls to file locations on disk.

  [ Iain Lane ]
  * UI (without backend) for setting/changing the unlock
    password/passphrase.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 309

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 19:15:57 +0000

ubuntu-system-settings (0.1+13.10.20130903.2-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * drop the gps control from the main screen.

  [ Iain Lane ]
  * Make the Automatic / Manual selector in Time & Date toggle
    timedated's NTP property.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 306

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 03 Sep 2013 11:44:46 +0000

ubuntu-system-settings (0.1+13.10.20130902.1-0ubuntu1) saucy; urgency=low

  [ Guenter Schwann ]
  * Use content hub for picking a background from the gallery.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 302

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 02 Sep 2013 06:12:47 +0000

ubuntu-system-settings (0.1+13.10.20130829.2-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Add a custom AccountsService schema and set up two examples.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 296

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 16:14:49 +0000

ubuntu-system-settings (0.1+13.10.20130829.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * use a better icon, since the mobile theme provides one.
  * battery: 100% is fully charged Since upower seems to not always
    consider 100% as fully charged, check for the charge, as well as for
    the status.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 294

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 12:29:50 +0000

ubuntu-system-settings (0.1+13.10.20130829-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Use battery's SleepValues panel for lock/sleep when idle timeout.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 290

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 29 Aug 2013 03:20:41 +0000

ubuntu-system-settings (0.1+13.10.20130827-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: don't segfault when there is no charge info.
  * storage: get the list of click packages installed and build a model
    from it. We don't use the real datas in the ui yet though, since the
    manifest doesn't have the informations we need for that yet.
  * battery: update sleep/lock subscreen to match the new design.
  * settings: use enabled: false with a TODO for non working elements.
  * battery: backend for the wifi controls.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 287

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 27 Aug 2013 11:18:05 +0000

ubuntu-system-settings (0.1+13.10.20130823-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * updates: some Ui tweaks - don't show extra lines in the middle of
    the ui - use separator between sections - use a consistant height -
    round update size to 1 digit - refresh the translations template.

  [ Didier Roche ]
  * Visual refresh from the design spec. Comply to the new daemon <->
    client dbus API.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 278

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 23 Aug 2013 15:18:05 +0000

ubuntu-system-settings (0.1+13.10.20130822.2-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * security: new location subpanel.

  [ Iain Lane ]
  * An initial dummy version of the main page of security-privacy.
  * security-privacy: Add UI for some subpanels.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 274

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 19:25:05 +0000

ubuntu-system-settings (0.1+13.10.20130822-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: some tweaks to the charge info: - read history in the right
    order - ignore buggy empty charge values from suspend/resume -
    correctly determine when we stop charging.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 270

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 22 Aug 2013 11:18:59 +0000

ubuntu-system-settings (0.1+13.10.20130821-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: display the last full charge.

  [ Iain Lane ]
  * Only display the battery panel if the system actually has a battery.
  * background: don't update gsettings/accountsservice for now (until
    the content picker arrives). (LP: #1214452)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 267

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 21 Aug 2013 08:07:06 +0000

ubuntu-system-settings (0.1+13.10.20130820-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * don't install the a11y plugin, it's not planned for 13.10.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 262

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 20 Aug 2013 14:34:56 +0000

ubuntu-system-settings (0.1+13.10.20130813.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Implement most of the cellular panel.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 256

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Aug 2013 18:52:53 +0000

ubuntu-system-settings (0.1+13.10.20130813-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: get battery id and charge history from upower, display it
    in the graph.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 254

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 13 Aug 2013 03:14:46 +0000

ubuntu-system-settings (0.1+13.10.20130812-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: add a cpp backend, use it to check if powerd is running, if
    it's running use it, if not fallback to gnome-settings-daemon. That
    should let us handle both touch and desktop without manual hacks.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 252

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 12 Aug 2013 14:35:58 +0000

ubuntu-system-settings (0.1+13.10.20130809.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: clean up a bit, update info dynamically, add placeholde for
    a charge graph.
  * Depends on powerd | gnome-settings-daemon.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 247

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 16:16:18 +0000

ubuntu-system-settings (0.1+13.10.20130809-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * battery: add new panel, mostly UI (with some backend work).

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 244

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 09 Aug 2013 07:02:03 +0000

ubuntu-system-settings (0.1+13.10.20130808.2-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * depends on qtdeclarative5-folderlistmodel-plugin.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 241

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 08 Aug 2013 09:28:34 +0000

ubuntu-system-settings (0.1+13.10.20130807-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * revert the previous temporary hack.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 238

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 07 Aug 2013 07:01:52 +0000

ubuntu-system-settings (0.1+13.10.20130806.2-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * plugin_module_dir in SystemsSettings.pc should use libdir .

  [ Sebastien Bacher ]
  * background: update title of the background selector to match the
    spec.
  * drop keyboard, it's part of language&text.
  * sound: improve display's name.
  * don't fail build on broken tests to workaround armhf/libhybris
    issues.

  [ Timo Jyrinki ]
  * Enable Multi-Arch for the libraries (LP: #1208347) Also change back
    to arch 'any' instead of listing archs. (LP: #1208347)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 236

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 06 Aug 2013 16:57:30 +0000

ubuntu-system-settings (0.1+13.10.20130805-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: split out helper function in a new source so we can reuse it.
  * sound: - clean some leftover options - some small refactoring - use
    gsettings to read/store the sound effects.

  [ Iain Lane ]
  * Write location of private module dir in pkg-config file Also, change
    the location to be alongside the binary plugins and independent of
    the Qt installation dir. .

  [ Alberto Mardegan ]
  * Write location of private module dir in pkg-config file Also, change
    the location to be alongside the binary plugins and independent of
    the Qt installation dir. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 227

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 05 Aug 2013 07:02:10 +0000

ubuntu-system-settings (0.1+13.10.20130804-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: split out helper function in a new source so we can reuse it.
  * sound: - clean some leftover options - some small refactoring - use
    gsettings to read/store the sound effects.

  [ Iain Lane ]
  * Write location of private module dir in pkg-config file Also, change
    the location to be alongside the binary plugins and independent of
    the Qt installation dir. .

  [ Alberto Mardegan ]
  * Write location of private module dir in pkg-config file Also, change
    the location to be alongside the binary plugins and independent of
    the Qt installation dir. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 227

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 04 Aug 2013 07:01:57 +0000

ubuntu-system-settings (0.1+13.10.20130802.1-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: get the silent mode's status from gsettings.
  * sound: drop alerts sound, following the design update.

  [ Jeremy Bicha ]
  * Rename 'Call diversion' to 'Call forwarding' (LP: #1205480). (LP:
    #1205480)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 222

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 02 Aug 2013 08:36:42 +0000

ubuntu-system-settings (0.1+13.10.20130731-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Use ofono-qt to get SIM Services and populate the Services and
    ServiceInfo packages.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 216

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 31 Jul 2013 13:19:52 +0000

ubuntu-system-settings (0.1+13.10.20130730.5-0ubuntu1) saucy; urgency=low

  [ Didier Roche ]
  * fix typos and we get the size in bytes, not Kb from the daemon.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 213

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 18:08:18 +0000

ubuntu-system-settings (0.1+13.10.20130730.4-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: we have an update panel, connect the 'check for update'
    button to it.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 211

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 16:46:49 +0000

ubuntu-system-settings (0.1+13.10.20130730.3-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * security: add dash privacy control.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 209

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 13:12:41 +0000

ubuntu-system-settings (0.1+13.10.20130730.1-0ubuntu1) saucy; urgency=low

  [ Loïc Minier ]
  * Use system bus instead of session bus for OS updates.

  [ Sebastien Bacher ]
  * phone: add a subpage for service details.

  [ Didier Roche ]
  * * use a list instead of hardcoded data. Try to have a little bit
    more beautiful result, but it seems there is a bug in the sdk *
    replace the activity indicator for downloading by an infinite
    progress indicator * listen to system dbus as well as the daemon is
    listening to it.

  [ Evan Dandrea ]
  * Add a link off to the privacy policy from the diagnostics page.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 207

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 10:01:39 +0000

ubuntu-system-settings (0.1+13.10.20130730-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * licenses: replace custom backend by folderlistmodel use.

  [ Iain Lane ]
  * timedate: Retrieve and populate the list of locations in a worker
    thread.

  [ Evan Dandrea ]
  * Enable automatic error reporting when error reporting is enabled.

  [ Alberto Mardegan ]
  * Support launching individual panels, with options - Let plugin
    options be specified from the command line - Quit if the requested
    plugin does not exist - Do not open the System Settings page when a
    plugin is launched .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 202

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 30 Jul 2013 07:01:55 +0000

ubuntu-system-settings (0.1+13.10.20130729-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: read update date from the device.
  * phone: get the actual carrier name, add the services screen.

  [ Iain Lane ]
  * timedate: Implement some design & improve speed a bit.
  * Bind the GSettings keys in gsettings-ubuntu-touch-schemas.

  [ Didier Roche ]
  * 0.1 version of system update status panel. Will work with the mock
    system-settings. Enable to check for updates, handles failures,
    cancellation and reboot request. (LP: #1201801)

  [ Evan Dandrea ]
  * Add a diagnostics page to system settings for controlling crash
    reporting.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 196

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 29 Jul 2013 07:01:58 +0000

ubuntu-system-settings (0.1+13.10.20130726-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: show 'never' as update date if there is none.
  * Initial language panel UI.

  [ William Hua ]
  * Initial language panel UI.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 187

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 26 Jul 2013 07:01:50 +0000

ubuntu-system-settings (0.1+13.10.20130725-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * phone: start the ui work, add the main page and most of the subpages
    for call diversion and call waiting (we are going to need a keypad
    widget to use to be able to add some of the features though).
  * sound: updated to reflect the recent design update - list new UI
    elements for message received/keyboard sound/lock sound - show the
    stop playing button only on the ringtone screen - disable the button
    when sound is not playing.
  * storage: store sorting preferences to gsettings.

  [ Iain Lane ]
  * Initial implementaion of Time & Date panel.
  * phone: start the ui work, add the main page and most of the subpages
    for call diversion and call waiting (we are going to need a keypad
    widget to use to be able to add some of the features though).

  [ Didier Roche ]
  * ignore the local setting from qtcreator.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 183

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 25 Jul 2013 07:01:54 +0000

ubuntu-system-settings (0.1+13.10.20130723-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * storage: get the real disk's free space information.

  [ Iain Lane ]
  * Add a GSettings schema for system-settings to store its own state.
    Make background use this and set keys as appropriate.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 174

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 23 Jul 2013 07:01:51 +0000

ubuntu-system-settings (0.1+13.10.20130720-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * settings: share the "list item with checkbox on the left" widget
    since it's going to be used in different panels. We need this until
    https://bugs.launchpad.net/ubuntu-ui-toolkit/+bug/1197058 is fixed
    in the toolkit (or the design need to change to put those on the
    right...).
  * storage: update to reflect the design changes, some code
    improvements - list the new categories from design (movies, audio,
    pictures, other files) - create a new widget for the legend items -
    update the bar widget to use the real values rather than fixed ones
    (The datas are still mostly faked for the moment though) .
  * update the translations' template.
  * really move the custom check item to its new location.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 170

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 20 Jul 2013 07:01:51 +0000

ubuntu-system-settings (0.1+13.10.20130719-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Use QtSystemInfo to display Carrier and network data modes in use. .

  [ Sebastien Bacher ]
  * sound: list the alert sounds.
  * system: rotate with the device.
  * sound: list 'stop playing' button, rework a bit the scrolling to
    keep the button out of it (since it's supposed to always be on
    screen according to the design document).
  * sound: implement play/stop for sound effects.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 164

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 19 Jul 2013 07:01:36 +0000

ubuntu-system-settings (0.1+13.10.20130718-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: enable scrolling on the sounds' list.
  * sound: display display sound warning in the sounds list.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 156

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 18 Jul 2013 07:01:40 +0000

ubuntu-system-settings (0.1+13.10.20130717.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Updated for the GSettings API break .

  [ Sebastien Bacher ]
  * sound: display the sounds names in a nicer way.

  [ Iain Lane ]
  * sound: display the sounds names in a nicer way.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 153

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 16:55:59 +0000

ubuntu-system-settings (0.1+13.10.20130717-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Set the flickable for the ItemPage to properly handle scrolling
    below the header .

  [ Sebastien Bacher ]
  * update the translations template since we got new ui elements.
  * sound: list the installed sound files from a known directory.

  [ Iain Lane ]
  * Initial implementation of the cellular UI.
  * Small tweaks to the license page: make scrolling work correctly so
    it doesn't hide the header & go a bit faster so the large list can
    be navigated.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 149

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 17 Jul 2013 07:01:38 +0000

ubuntu-system-settings (0.1+13.10.20130716-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Tweak the flickable behaviour to make the scrolling consistant with
    the other applications, but still avoid scrolling if there is no
    need for it See https://launchpad.net/bugs/1201394 for the details.
    (LP: #1201394)
  * storage: the design says to use zero decimal for kilobytes values,
    do that.
  * storage: translate the units.
  * about: display N/A when there is no IMEI information.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 143

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 16 Jul 2013 07:01:48 +0000

ubuntu-system-settings (0.1+13.10.20130713-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * license: implement the "software licenses" section subpanel The
    current approch is to list all the packages installing a copyright
    and build a model from that. When selecting one of them in the list
    we go to a new page which displays the content of the copyright.
    That might need some tweaking later to include licences from the
    container .
  * about: improve a bit the format of the vendor header.
  * reset: use singlecontrol items, the margin issue has been resolved.
  * sound: implement the silent mode warning The UI is there but not
    plugged to the system yet, you need to manually set the variable to
    see it. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 137

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 13 Jul 2013 07:01:47 +0000

ubuntu-system-settings (0.1+13.10.20130712-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Use SingleControl again, the toolkit margin issues have been fixed.
  * get device informations from libhybris, as a fallback, until
    qtsystems works on the touch image (it currently tries to read /sys
    informations that are not available on the device).

  [ Iain Lane ]
  * Sort plugins according to their priority.
  * background: Explicitly set the fallback if we get an empty string
    back from the dbus call.
  * sound: Allow clicking on the whole ListItem to toggle the CheckBox.
  * Don't try to load or allow navigation into plugins with no
    pageComponent.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 131

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 12 Jul 2013 07:01:49 +0000

ubuntu-system-settings (0.1+13.10.20130711-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * background: Remove custom UbuntuSwappableImage and use
    CrossFadeImage from the ui-toolkit.
  * Support passing plugin names directly on the commandline.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 123

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 11 Jul 2013 07:01:47 +0000

ubuntu-system-settings (0.1+13.10.20130710-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * translation: update the translations again, some strings changed. We
    are going to turn on autoimport then to avoid those manual commits
    in the futur.
  * storage: use a rectangle so we can have a border around the bar
    Tweak some of the margins and vertical spaces as well to look a bit
    better and be aligned on other elements .
  * Since we have a readme let's put some informations in it.
  * debian: slightly improved description, sort the build-depends.
  * settings: translate the panel names in the system settings grid
    view.
  * storage: implement apps sorting.
  * background: fix name inconsistency.
  * settings: use the correct translation domain.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 119

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 10 Jul 2013 07:11:23 +0000

ubuntu-system-settings (0.1+13.10.20130709-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Updated translation template.
  * about: when it's possible, use qtsystem to get the device
    informations.
  * updated translations from launchpad.
  * storage: use a valueselector rather than a custom widget.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 110

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 09 Jul 2013 07:01:45 +0000

ubuntu-system-settings (0.1+13.10.20130708-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * storage: use qtsystems to get the disk space informations.
  * storage: use ubuntu colors.
  * about: get real serial number.
  * storage: add buttons to sort the applications' list.
  * about: use 'N/A' if there is no serial number.
  * about: get the manufacturer/model from the device.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 105

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 08 Jul 2013 07:01:07 +0000

ubuntu-system-settings (0.1+13.10.20130705-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: collect system version informations from a plugin Since we
    can't access files on disk from qml, we need to do it with some cpp
    code. The backend is going to be used to collect some other
    informations later as well. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 98

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 05 Jul 2013 07:01:04 +0000

ubuntu-system-settings (0.1+13.10.20130704-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * sound: set extra strings as translatable.
  * storage: add the list of installed softwares (built with fake datas)
    The list is built from a xml model. We provide a static list for
    testing, the idea is to make click packages generate a similar index
    (through trigger or similar) later.

  [ Iain Lane ]
  * Hit accountsservice over D-Bus to get the "welcome" image.
  * Install the private library(ies) into
    /usr/lib/$DEB_HOST_MULTIARCH/ubuntu-system-settings and add this to
    the import path. This means that the modules aren't exposed to the
    public.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 96

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 04 Jul 2013 07:01:05 +0000

ubuntu-system-settings (0.1+13.10.20130703-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: simply the code for the custom vendor-infos' entry.
  * sound: implement the mainpage of the interface.
  * sound: rename, use the singular form for consistency.
  * refresh the translations' template.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 91

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 03 Jul 2013 07:01:05 +0000

ubuntu-system-settings (0.1+13.10.20130702-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * added bluetooth, cellular, and wifi plugins .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 86

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 02 Jul 2013 07:01:54 +0000

ubuntu-system-settings (0.1+13.10.20130628.1-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Updated string for the orientation plugin to match the design .
  * Updated the color in the gps icon to match the others .
  * Added stub plugins for system-update, security-privacy,time-date,
    brightness, phone, keyboard, accessibility, and language. Also set
    priorities and form-factor where appropriate.
  * make the main window flickable .
  * Ensure contentHeight is set properly and cleaned up the plugins to
    be consistent. Changed boundsBehavior on the flickables to keep them
    from being draggable when the content is smaller than what is
    displayed.

  [ Sebastien Bacher ]
  * don't install the example plugin, it's useful as source example, not
    so much installed (especially since we have other working plugins).

  [ Iain Lane ]
  * Add simple GPS toggle.
  * Read the user's background from GSettings.
  * reset: Add confirmation alerts.
  * Make category order match design: Network, Personal, System.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 84

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 19:40:43 +0000

ubuntu-system-settings (0.1+13.10.20130628-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * Use Base items for buttons, instead of SingleControl ones (until bug
    #1194844 is fixed in the ui toolkit). That should give us correct
    margins for those items. (LP: #1194844)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 73

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 28 Jun 2013 07:01:06 +0000

ubuntu-system-settings (0.1daily13.06.25-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: use standard items for sections, rather than headers.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 71

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 25 Jun 2013 07:01:05 +0000

ubuntu-system-settings (0.1daily13.06.24-0ubuntu1) saucy; urgency=low

  [ Iain Lane ]
  * Add initial implemention of appearance/background panel.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 69

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 24 Jun 2013 07:01:03 +0000

ubuntu-system-settings (0.1daily13.06.21-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Added a recommends for ubuntu-system-settings-online-accounts .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 67

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 21 Jun 2013 07:01:02 +0000

ubuntu-system-settings (0.1daily13.06.19-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * don't wrap icons with an UbuntuShape .
  * Use svg versions of the plugin icons and set the proper color .

  [ Sebastien Bacher ]
  * about: start work on the "storage" subpanel, that's a rough first
    version of the UI that will need tweaking and improvement but at
    least that's a base to build one.
  * settings: don't use frames around the plugin icons.
  * settings: use an icon from the mobile theme This way the launcher
    will have an icon on the touch image (which is the primary target
    for that code) .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 65

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Wed, 19 Jun 2013 07:01:04 +0000

ubuntu-system-settings (0.1daily13.06.18-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * setResizeMode, fixes sizing issues on the device .

  [ Sebastien Bacher ]
  * reset: use ListItem.SingleControl standard widgets for the buttons.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 59

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 18 Jun 2013 07:01:05 +0000

ubuntu-system-settings (0.1daily13.06.17-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * Dropped the OnlyShowIn=Unity from the desktop file, unity8 doesn't
    show it .
  * about: Use text and unicode to create the Ubuntu logo .

  [ Sebastien Bacher ]
  * setings: set up for translations Use "ubuntu-system-settings" for
    the domain, better to namespace to avoid name conflicts since all
    the translation are installed in the same directory. The po.pro will
    make the translation be compiled and installed on build, there is
    also a "make pot" target to refresh the template. This commit also
    includes a first translation (fr.po) which was used to test that
    things are working correctly. .
  * settings: use the string capitalization style recommended by design
    Set some strings, like the vendor or model inforations, as not
    translatables since those should be local specific.
  * settings: make the plugin names translatable.
  * settings: update some icons with copies from design, we will replace
    those by theme icons once they are polished and included in the
    theme use a standard icon for the airplane-mode since it's already
    in theme .
  * settings: set the theme to ubuntu-mobile, until lp#1098578 is fixed,
    (toolkit not respecting the theme in use), recommends ubuntu-mobile-
    icons as well since we use icons shipped there. (LP: #1098578)

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 56

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 17 Jun 2013 07:01:58 +0000

ubuntu-system-settings (0.1daily13.06.14-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * about: set an icon url rather than defining an image.
  * orientation-lock: add new plugin for orientation locking.
  * settings: slightly improve the category title The titles should
    start by a uppercase, be translatable, and be placed between
    horizontal lines.
  * reset: add new plugin for settings reset .
  * settings: tweak a bit the UI to be closer from the mockup, we are
    still having only a few panels available and are missing nice icons
    but otherwise it's getting there.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 48

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 14 Jun 2013 07:01:54 +0000

ubuntu-system-settings (0.1daily13.06.13-0ubuntu1) saucy; urgency=low

  [ Ken VanDine ]
  * * Wrap the icons with an UbuntuShape, this makes it look more
    consistent with the shell icons. * Added a leftMargin in the
    CategoryGrid so the section titles aren't right against the edge *
    Make flight-mode a ListItem.Standard to be more consistent with the
    about plugin.

  [ Sebastien Bacher ]
  * settings: split the category grids from the settings in a new
    component Use the new component to list the 3 categories from the
    design, tweak a bit the UI to add category labels and some spacing .
  * about: tweak the UI to address mpt's review comments - use standard
    header items rather than custom - use a singlecontrol item for the
    button - tweak spacing of the first entry - fix a typo in one of the
    strings.
  * flight-mode: use an url rather than an image for the entry The image
    doesn't scale right for some reason, it's also easier to do it this
    way.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 42

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 13 Jun 2013 07:01:53 +0000

ubuntu-system-settings (0.1daily13.06.11-0ubuntu1) saucy; urgency=low

  [ Sebastien Bacher ]
  * [shell] give a bit of extra height, the geometry is closer from a
    device this way and it also makes testing easier (no need to scroll
    to see the bottom of the panels).
  * Update the about plugin UI, that's a first rought implementation
    following the design on
    https://wiki.ubuntu.com/AboutThisDevice#Phone. The panel doesn't do
    much yet but that's a start.

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 37

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Tue, 11 Jun 2013 07:01:57 +0000

ubuntu-system-settings (0.1daily13.06.10-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 34

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Mon, 10 Jun 2013 07:01:49 +0000

ubuntu-system-settings (0.1daily13.06.09-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 33

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sun, 09 Jun 2013 07:01:50 +0000

ubuntu-system-settings (0.1daily13.06.08.1-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 32

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 08 Jun 2013 07:01:49 +0000

ubuntu-system-settings (0.1daily13.06.08-0ubuntu1) saucy; urgency=low

  * Automatic snapshot from revision 31

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Sat, 08 Jun 2013 04:50:02 +0000

ubuntu-system-settings (0.1daily13.06.07-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Skeleton implementation of the About plugin.
  * Create ItemPage component, let plugins use it This component renders
    a page with a default title (the item's name), and provide a
    property to make the plugin object accessible from within the item
    page. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 30

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Fri, 07 Jun 2013 15:57:25 +0000

ubuntu-system-settings (0.1daily13.05.30ubuntu.unity.next-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Don't hardcode prefix in pkg-config file.
  * Skeleton implementation of the About plugin.
  * Create ItemPage component, let plugins use it This component renders
    a page with a default title (the item's name), and provide a
    property to make the plugin object accessible from within the item
    page. .

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 29 (ubuntu-unity/next)

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 30 May 2013 18:20:27 +0000

ubuntu-system-settings (0.1daily13.05.23-0ubuntu1) saucy; urgency=low

  [ Alberto Mardegan ]
  * Initial release.

  [ Ken VanDine ]
  * Split package up into application, plugin and libs

  [ Alberto Mardegan ]
  * Add a few files
  * Add main window stub
  * Introduce the PluginManager class
  * Change directory structure: add libSystemSettings
  * Add PluginBase
  * Implement plugin loading
  * Test plugin loading
  * PluginBase->ItemBase Too many "plugin" in the project.
  * Add ItemModel class
  * Export pageComponent and entryComponent to QML
  * Move Plugin client code to src/
  * Default entry component
  * Working icons for testing
  * Add example plugin
  * Fix stack navigation
  * Removed unused method
  * Fix unit tests
  * packaging cleanup
  * Install libSystemSettings in /usr/lib/system-settings/
  * Allow loading items before and after the item grid
  * Install flight-mode plugin
  * Install pkg-config file
  * Add missing file, update .bzrignore
  * Update from trunk

  [ Ubuntu daily release ]
  * Automatic snapshot from revision 25

 -- Ubuntu daily release <ps-jenkins@lists.canonical.com>  Thu, 23 May 2013 07:01:10 +0000
